/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-fe81c65a.js');
var slicedToArray = require('../_chunks/dep-3949d9f0.js');
var React = require('react');
var treeStore = require('../_chunks/dep-354a0f13.js');
var cascader_core_helper = require('./core/helper.js');
var cascader_core_effect = require('./core/effect.js');
var hooks_useControlled = require('../hooks/useControlled.js');
var isEqual = require('../_chunks/dep-f31a7521.js');
var isFunction = require('../_chunks/dep-decd1ba5.js');
require('../_chunks/dep-bbe52a2d.js');
require('../_chunks/dep-228d2001.js');
require('../_chunks/dep-3dc69e9b.js');
require('mitt');
require('../_chunks/dep-bb95b18b.js');
require('../_chunks/dep-1c5aedf3.js');
require('../_chunks/dep-a21132eb.js');
require('../_chunks/dep-53ae9438.js');
require('../_chunks/dep-2a9b9709.js');
require('../_chunks/dep-556420c0.js');
require('../_chunks/dep-5bb0ceb3.js');
require('../_chunks/dep-7e859ab6.js');
require('../_chunks/dep-7ffe7abb.js');
require('../_chunks/dep-53bbe417.js');
require('../_chunks/dep-01c97e2a.js');
require('../_chunks/dep-3963da7e.js');
require('../_chunks/dep-3561ed02.js');
require('../_chunks/dep-d788c41a.js');
require('../_chunks/dep-4b5c6368.js');
require('../_chunks/dep-b89fb5c8.js');
require('../_chunks/dep-a68b527a.js');
require('../_chunks/dep-5522bd43.js');
require('../_chunks/dep-5267fa9b.js');
require('../_chunks/dep-e9e51520.js');
require('../_chunks/dep-07098818.js');
require('../_chunks/dep-f8271f08.js');
require('../_chunks/dep-3ae87727.js');
require('../_chunks/dep-93a6e7a7.js');
require('../_chunks/dep-7dbe9cf7.js');
require('../_chunks/dep-40e0109f.js');
require('../_chunks/dep-14fc6700.js');
require('../_chunks/dep-013699bc.js');
require('../_chunks/dep-cd4fa758.js');
require('../_chunks/dep-db3b17d7.js');
require('../_chunks/dep-7a979ab0.js');
require('../_chunks/dep-77923495.js');
require('../_chunks/dep-ad2351bc.js');
require('../_chunks/dep-cf814f66.js');
require('../_chunks/dep-bd900d58.js');
require('../_chunks/dep-e24d1659.js');
require('../_chunks/dep-df011d17.js');
require('../_chunks/dep-84fbcec5.js');
require('../_chunks/dep-d4f8f0c4.js');
require('../_chunks/dep-86086537.js');
require('../_chunks/dep-2360fa32.js');
require('../_chunks/dep-dd0b0216.js');
require('../_chunks/dep-65b91e54.js');
require('../_chunks/dep-805fcdb5.js');
require('../_chunks/dep-5669eec6.js');
require('../_chunks/dep-54722473.js');
require('../_chunks/dep-3e9ca68a.js');
require('../_chunks/dep-b275e705.js');
require('../_chunks/dep-0a55a910.js');
require('../_chunks/dep-9a247121.js');
require('../_chunks/dep-d6f2b851.js');
require('../_chunks/dep-93919e5b.js');
require('../_chunks/dep-42d7bed5.js');
require('../_chunks/dep-006f8a6d.js');
require('../_chunks/dep-064ecbe2.js');
require('../_chunks/dep-f0e94cb0.js');
require('../_util/noop.js');
require('../_chunks/dep-12bca1df.js');

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var useCascaderContext = function useCascaderContext(props) {
  var _useControlled = hooks_useControlled["default"](props, "value", props.onChange),
    _useControlled2 = slicedToArray._slicedToArray(_useControlled, 2),
    innerValue = _useControlled2[0],
    setInnerValue = _useControlled2[1];
  var _useControlled3 = hooks_useControlled["default"](props, "popupVisible", props.onPopupVisibleChange),
    _useControlled4 = slicedToArray._slicedToArray(_useControlled3, 2),
    innerPopupVisible = _useControlled4[0],
    setPopupVisible = _useControlled4[1];
  var _useState = React.useState(""),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    inputVal = _useState2[0],
    setInputVal = _useState2[1];
  var _useState3 = React.useState(null),
    _useState4 = slicedToArray._slicedToArray(_useState3, 2),
    treeStore$1 = _useState4[0],
    setTreeStore = _useState4[1];
  var _useState5 = React.useState([]),
    _useState6 = slicedToArray._slicedToArray(_useState5, 2),
    treeNodes = _useState6[0],
    setTreeNodes = _useState6[1];
  var _useState7 = React.useState([]),
    _useState8 = slicedToArray._slicedToArray(_useState7, 2),
    expend = _useState8[0],
    setExpend = _useState8[1];
  var _useState9 = React.useState(void 0),
    _useState0 = slicedToArray._slicedToArray(_useState9, 2),
    scopeVal = _useState0[0],
    setScopeVal = _useState0[1];
  var cascaderContext = React.useMemo(function () {
    var size = props.size,
      checkStrictly2 = props.checkStrictly,
      lazy2 = props.lazy,
      multiple = props.multiple,
      filterable = props.filterable,
      clearable = props.clearable,
      checkProps = props.checkProps,
      max = props.max,
      disabled2 = props.disabled,
      showAllLevels = props.showAllLevels,
      minCollapsedNum = props.minCollapsedNum,
      valueType = props.valueType;
    return {
      value: scopeVal,
      size: size,
      checkStrictly: checkStrictly2,
      lazy: lazy2,
      multiple: multiple,
      filterable: filterable,
      clearable: clearable,
      checkProps: checkProps,
      max: max,
      disabled: disabled2,
      showAllLevels: showAllLevels,
      minCollapsedNum: minCollapsedNum,
      valueType: valueType,
      treeStore: treeStore$1,
      setValue: function setValue(val, source, node) {
        if (isEqual.isEqual(val, scopeVal)) return;
        setInnerValue(val, {
          source: source,
          node: node
        });
      },
      visible: innerPopupVisible,
      setVisible: setPopupVisible,
      treeNodes: treeNodes,
      setTreeNodes: setTreeNodes,
      inputVal: inputVal,
      setInputVal: setInputVal,
      setExpend: setExpend
    };
  }, [props, scopeVal, innerPopupVisible, treeStore$1, treeNodes, inputVal, setInnerValue, setPopupVisible]);
  var isFilterable = React.useMemo(function () {
    return Boolean(props.filterable || isFunction.isFunction(props.filter));
  }, [props.filterable, props.filter]);
  var disabled = props.disabled,
    _props$options = props.options,
    options = _props$options === void 0 ? [] : _props$options,
    _props$keys = props.keys,
    keys = _props$keys === void 0 ? {} : _props$keys,
    _props$checkStrictly = props.checkStrictly,
    checkStrictly = _props$checkStrictly === void 0 ? false : _props$checkStrictly,
    _props$lazy = props.lazy,
    lazy = _props$lazy === void 0 ? true : _props$lazy,
    load = props.load,
    _props$valueMode = props.valueMode,
    valueMode = _props$valueMode === void 0 ? "onlyLeaf" : _props$valueMode;
  var optionCurrent = React.useRef([]);
  React.useEffect(function () {
    if (!isEqual.isEqual(optionCurrent.current, options)) {
      optionCurrent.current = options;
      handleTreeStore();
    }
  }, [options]);
  var handleTreeStore = function handleTreeStore() {
    if (!treeStore$1) {
      if (!options.length) return;
      var store = new treeStore.TreeStore({
        keys: _objectSpread(_objectSpread({}, keys), {}, {
          children: typeof keys.children === "string" ? keys.children : "children"
        }),
        onLoad: function onLoad() {
          setTimeout(function () {
            store.refreshNodes();
            cascader_core_effect.treeNodesEffect(inputVal, store, setTreeNodes, props.filter, checkStrictly);
          });
        }
      });
      store.append(options);
      setTreeStore(store);
    } else {
      treeStore$1.reload(options);
      treeStore$1.refreshNodes();
      cascader_core_effect.treeStoreExpendEffect(treeStore$1, scopeVal, []);
      cascader_core_effect.treeNodesEffect(inputVal, treeStore$1, setTreeNodes, props.filter, checkStrictly);
    }
  };
  React.useEffect(function () {
    if (!treeStore$1) return;
    var treeProps = {
      keys: _objectSpread(_objectSpread({}, keys), {}, {
        children: typeof keys.children === "string" ? keys.children : "children"
      }),
      checkable: true,
      expandMutex: true,
      expandParent: true,
      checkStrictly: checkStrictly,
      disabled: disabled,
      load: load,
      lazy: lazy,
      valueMode: valueMode
    };
    treeStore$1.setConfig(treeProps);
  }, [checkStrictly, disabled, keys, lazy, load, valueMode, treeStore$1]);
  React.useEffect(function () {
    var setValue = cascaderContext.setValue,
      multiple = cascaderContext.multiple,
      _cascaderContext$valu = cascaderContext.valueType,
      valueType = _cascaderContext$valu === void 0 ? "single" : _cascaderContext$valu;
    if (cascader_core_helper.isValueInvalid(innerValue, cascaderContext)) {
      setValue(multiple ? [] : "", "invalid-value");
    }
    if (!cascader_core_helper.isEmptyValues(innerValue)) {
      setScopeVal(cascader_core_helper.getCascaderValue(innerValue, valueType, multiple));
    } else {
      setScopeVal(multiple ? [] : "");
    }
  }, [innerValue]);
  React.useEffect(function () {
    if (!treeStore$1) return;
    cascader_core_effect.treeStoreExpendEffect(treeStore$1, scopeVal, expend);
  }, [treeStore$1, scopeVal, expend]);
  React.useEffect(function () {
    if (!treeStore$1) return;
    cascader_core_effect.treeNodesEffect(inputVal, treeStore$1, setTreeNodes, props.filter, checkStrictly);
  }, [inputVal, treeStore$1, props.filter, checkStrictly]);
  React.useEffect(function () {
    if (!treeStore$1) return;
    treeStore$1.replaceChecked(cascader_core_helper.getTreeValue(scopeVal));
  }, [options, scopeVal, treeStore$1, cascaderContext.multiple]);
  React.useEffect(function () {
    if (!innerPopupVisible && isFilterable) {
      setInputVal("");
    }
  }, [innerPopupVisible, isFilterable]);
  React.useEffect(function () {
    var inputVal2 = cascaderContext.inputVal,
      treeStore2 = cascaderContext.treeStore,
      setTreeNodes2 = cascaderContext.setTreeNodes;
    cascader_core_effect.treeNodesEffect(inputVal2, treeStore2, setTreeNodes2, props.filter, checkStrictly);
  }, [inputVal, scopeVal]);
  var getCascaderItems = function getCascaderItems(arrValue) {
    var treeStore2 = cascaderContext.treeStore;
    var optionsData = [];
    arrValue.forEach(function (value) {
      var nodes = treeStore2 === null || treeStore2 === void 0 ? void 0 : treeStore2.getNodes(value);
      nodes && nodes[0] && optionsData.push(nodes[0].data);
    });
    return optionsData;
  };
  return {
    cascaderContext: cascaderContext,
    isFilterable: isFilterable,
    innerValue: innerValue,
    getCascaderItems: getCascaderItems
  };
};

exports.useCascaderContext = useCascaderContext;
//# sourceMappingURL=hooks.js.map
