/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-fe81c65a.js');
var slicedToArray = require('../_chunks/dep-3949d9f0.js');
var objectWithoutProperties = require('../_chunks/dep-2a791a26.js');
var React = require('react');
var popup_index = require('../popup/index.js');
var colorPicker_hooks_useClassNames = require('./hooks/useClassNames.js');
var hooks_useControlled = require('../hooks/useControlled.js');
var colorPicker_components_trigger = require('./components/trigger.js');
var colorPicker_components_panel_index = require('./components/panel/index.js');
var colorPicker_defaultProps = require('./defaultProps.js');
var hooks_useDefaultProps = require('../hooks/useDefaultProps.js');
require('../_chunks/dep-bbe52a2d.js');
require('../_chunks/dep-228d2001.js');
require('../popup/Popup.js');
require('react-transition-group');
require('classnames');
require('../hooks/useAnimation.js');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-24195208.js');
require('../_chunks/dep-737e4f38.js');
require('dayjs');
require('../_chunks/dep-18f56df7.js');
require('../_chunks/dep-db3b17d7.js');
require('../_chunks/dep-07098818.js');
require('../_chunks/dep-7ffe7abb.js');
require('../_chunks/dep-53bbe417.js');
require('../_chunks/dep-5bb0ceb3.js');
require('../_chunks/dep-7a979ab0.js');
require('../_chunks/dep-f8271f08.js');
require('../_chunks/dep-decd1ba5.js');
require('../_chunks/dep-3561ed02.js');
require('../_chunks/dep-77923495.js');
require('../_chunks/dep-5267fa9b.js');
require('../_chunks/dep-01c97e2a.js');
require('../_chunks/dep-3963da7e.js');
require('../_chunks/dep-d788c41a.js');
require('../_chunks/dep-a68b527a.js');
require('../_chunks/dep-5522bd43.js');
require('../_chunks/dep-ad2351bc.js');
require('../_chunks/dep-d6f2b851.js');
require('../_chunks/dep-40e0109f.js');
require('../_chunks/dep-86086537.js');
require('../_chunks/dep-1f99f0e5.js');
require('../common/Portal.js');
require('react-dom');
require('../_chunks/dep-704d9321.js');
require('../_chunks/dep-54722473.js');
require('../hooks/useLayoutEffect.js');
require('../popup/hooks/useTrigger.js');
require('react-is');
require('../_util/ref.js');
require('../_util/isFragment.js');
require('../_util/composeRefs.js');
require('../_util/listener.js');
require('../popup/utils/transition.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useLatest.js');
require('../_chunks/dep-f31a7521.js');
require('../_chunks/dep-0a55a910.js');
require('../_chunks/dep-12bca1df.js');
require('../_chunks/dep-cf814f66.js');
require('../_chunks/dep-7dbe9cf7.js');
require('../_chunks/dep-bd900d58.js');
require('../_chunks/dep-e24d1659.js');
require('../_chunks/dep-df011d17.js');
require('../_chunks/dep-0c1e22ea.js');
require('../_chunks/dep-d5922382.js');
require('../_chunks/dep-7e859ab6.js');
require('../hooks/useWindowSize.js');
require('../popup/defaultProps.js');
require('../hooks/useAttach.js');
require('../hooks/usePopper.js');
require('../_chunks/dep-a21132eb.js');
require('@popperjs/core');
require('react-fast-compare');
require('../_util/noop.js');
require('../_chunks/dep-42d7bed5.js');
require('../_chunks/dep-006f8a6d.js');
require('../_chunks/dep-d4f8f0c4.js');
require('../_chunks/dep-4b5c6368.js');
require('../popup/PopupPlugin.js');
require('../_chunks/dep-1c5aedf3.js');
require('../_util/react-render.js');
require('../common/PluginContainer.js');
require('../config-provider/ConfigProvider.js');
require('../_chunks/dep-f0e94cb0.js');
require('../_chunks/dep-cd4fa758.js');
require('../_chunks/dep-eba0796f.js');
require('../_chunks/dep-3dc69e9b.js');
require('tinycolor2');
require('../_chunks/dep-50fd1b5a.js');
require('../_chunks/dep-805fcdb5.js');
require('../input/index.js');
require('../input/Input.js');
require('tdesign-icons-react');
require('../_util/forwardRefWithStatics.js');
require('hoist-non-react-statics');
require('../hooks/useGlobalIcon.js');
require('../input/InputGroup.js');
require('../locale/LocalReceiver.js');
require('../input/defaultProps.js');
require('../_util/parseTNode.js');
require('../_chunks/dep-53ae9438.js');
require('../input/useLengthLimit.js');
require('../_chunks/dep-b066e7ac.js');
require('../_chunks/dep-dd0b0216.js');
require('../_chunks/dep-f2ef9f35.js');
require('../input-number/index.js');
require('../input-number/InputNumber.js');
require('../button/index.js');
require('../button/Button.js');
require('../hooks/useDomRefCallback.js');
require('../hooks/useRipple.js');
require('../_chunks/dep-91f34d3d.js');
require('../loading/index.js');
require('../loading/Loading.js');
require('../loading/gradient.js');
require('../loading/defaultProps.js');
require('../loading/plugin.js');
require('../button/defaultProps.js');
require('../input-number/useInputNumber.js');
require('../_chunks/dep-abd391c7.js');
require('../_chunks/dep-2360fa32.js');
require('../hooks/useCommonClassName.js');
require('../input-number/defaultProps.js');
require('../_chunks/dep-6539e3d4.js');
require('./components/panel/linear-gradient.js');
require('./components/panel/saturation.js');
require('../hooks/useDrag.js');
require('./components/panel/hue.js');
require('./components/panel/slider.js');
require('./hooks/useStyles.js');
require('./components/panel/alpha.js');
require('./components/panel/format/index.js');
require('../select/index.js');
require('../select/base/Select.js');
require('../_util/helper.js');
require('../_chunks/dep-93919e5b.js');
require('../select/util/helper.js');
require('../select/base/OptionGroup.js');
require('../select/defaultProps.js');
require('../select/base/Option.js');
require('../_chunks/dep-65b91e54.js');
require('../_chunks/dep-556420c0.js');
require('../common/FakeArrow.js');
require('../select-input/index.js');
require('../select-input/SelectInput.js');
require('../select-input/useSingle.js');
require('../_chunks/dep-2a9b9709.js');
require('../_chunks/dep-b89fb5c8.js');
require('../_chunks/dep-e9e51520.js');
require('../_chunks/dep-3ae87727.js');
require('../_chunks/dep-93a6e7a7.js');
require('../select-input/useMultiple.js');
require('../tag-input/index.js');
require('../tag-input/TagInput.js');
require('../hooks/useDragSorter.js');
require('../hooks/useEventCallback.js');
require('../tag-input/useTagScroll.js');
require('../tag-input/useTagList.js');
require('../tag/index.js');
require('../tag/Tag.js');
require('../tag/defaultProps.js');
require('../tag/CheckTag.js');
require('../_chunks/dep-ccc9685f.js');
require('../tag/CheckTagGroup.js');
require('../tag-input/useHover.js');
require('../tag-input/defaultProps.js');
require('../select-input/useOverlayInnerStyle.js');
require('../select-input/defaultProps.js');
require('../select/base/PopupContent.js');
require('../select/hooks/usePanelVirtualScroll.js');
require('../hooks/useVirtualScroll.js');
require('../hooks/useResizeObserver.js');
require('../select/hooks/useOptions.js');
require('./components/panel/header.js');
require('../radio/index.js');
require('../_chunks/dep-e53e2d3c.js');
require('../common/Check.js');
require('../_chunks/dep-14fc6700.js');
require('../_chunks/dep-03e4a661.js');
require('../radio/defaultProps.js');
require('../radio/useKeyboard.js');
require('./components/panel/swatches.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _excluded = ["popupProps", "clearable", "disabled", "borderless", "inputProps", "onChange", "onClear", "colorModes"],
  _excluded2 = ["overlayClassName", "overlayInnerStyle"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ColorPicker = function ColorPicker(props) {
  var baseClassName = colorPicker_hooks_useClassNames["default"]();
  var _useDefaultProps = hooks_useDefaultProps["default"](props, colorPicker_defaultProps.colorPickerDefaultProps),
    popupProps = _useDefaultProps.popupProps,
    clearable = _useDefaultProps.clearable,
    disabled = _useDefaultProps.disabled,
    borderless = _useDefaultProps.borderless,
    inputProps = _useDefaultProps.inputProps,
    onChange = _useDefaultProps.onChange,
    onClear = _useDefaultProps.onClear,
    colorModes = _useDefaultProps.colorModes,
    rest = objectWithoutProperties._objectWithoutProperties(_useDefaultProps, _excluded);
  var _ref = popupProps || {},
    overlayClassName = _ref.overlayClassName,
    _ref$overlayInnerStyl = _ref.overlayInnerStyle,
    overlayInnerStyle = _ref$overlayInnerStyl === void 0 ? {} : _ref$overlayInnerStyl,
    restPopupProps = objectWithoutProperties._objectWithoutProperties(_ref, _excluded2);
  var _useControlled = hooks_useControlled["default"](props, "value", onChange),
    _useControlled2 = slicedToArray._slicedToArray(_useControlled, 2),
    innerValue = _useControlled2[0],
    setInnerValue = _useControlled2[1];
  var triggerRef = React.useRef(null);
  var colorPanelRef = React.useRef(null);
  var popProps = _objectSpread(_objectSpread({
    placement: "bottom-left",
    expandAnimation: true,
    trigger: "click"
  }, restPopupProps), {}, {
    overlayClassName: [baseClassName, overlayClassName],
    overlayInnerStyle: _objectSpread({
      padding: 0
    }, overlayInnerStyle)
  });
  return /* @__PURE__ */React__default["default"].createElement(popup_index.Popup, _objectSpread(_objectSpread({}, popProps), {}, {
    content: !disabled && /* @__PURE__ */React__default["default"].createElement(colorPicker_components_panel_index["default"], _objectSpread(_objectSpread({}, rest), {}, {
      disabled: disabled,
      value: innerValue,
      colorModes: colorModes,
      onChange: function onChange(value, context) {
        return setInnerValue(value, context);
      },
      ref: colorPanelRef
    }))
  }), /* @__PURE__ */React__default["default"].createElement("div", {
    className: "".concat(baseClassName, "__trigger"),
    ref: triggerRef
  }, /* @__PURE__ */React__default["default"].createElement(colorPicker_components_trigger["default"], {
    clearable: clearable,
    disabled: disabled,
    borderless: borderless,
    inputProps: inputProps,
    value: innerValue,
    onChange: setInnerValue,
    onClear: onClear
  })));
};
ColorPicker.displayName = "ColorPicker";
var _ColorPicker = /*#__PURE__*/React__default["default"].memo(ColorPicker);

exports["default"] = _ColorPicker;
//# sourceMappingURL=ColorPicker.js.map
