/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../../../../_chunks/dep-fe81c65a.js');
var slicedToArray = require('../../../../_chunks/dep-3949d9f0.js');
var React = require('react');
require('../../../../_chunks/dep-eba0796f.js');
var colorPicker_components_panel_format_inputs = require('../../../../_chunks/dep-f2ef9f35.js');
var select_index = require('../../../../select/index.js');
require('../../../../_chunks/dep-bbe52a2d.js');
require('../../../../_chunks/dep-228d2001.js');
require('../../../../_chunks/dep-3dc69e9b.js');
require('tinycolor2');
require('../../../../_chunks/dep-50fd1b5a.js');
require('../../../../_chunks/dep-54722473.js');
require('../../../../_chunks/dep-7ffe7abb.js');
require('../../../../_chunks/dep-5bb0ceb3.js');
require('../../../../_chunks/dep-53bbe417.js');
require('../../../../_chunks/dep-805fcdb5.js');
require('../../../../_chunks/dep-a21132eb.js');
require('../../../../input/index.js');
require('../../../../input/Input.js');
require('../../../../_chunks/dep-2a791a26.js');
require('classnames');
require('tdesign-icons-react');
require('../../../../hooks/useLayoutEffect.js');
require('../../../../_chunks/dep-704d9321.js');
require('../../../../_util/forwardRefWithStatics.js');
require('hoist-non-react-statics');
require('../../../../hooks/useConfig.js');
require('../../../../config-provider/ConfigContext.js');
require('../../../../_chunks/dep-24195208.js');
require('../../../../_chunks/dep-737e4f38.js');
require('dayjs');
require('../../../../_chunks/dep-18f56df7.js');
require('../../../../_chunks/dep-db3b17d7.js');
require('../../../../_chunks/dep-07098818.js');
require('../../../../_chunks/dep-7a979ab0.js');
require('../../../../_chunks/dep-f8271f08.js');
require('../../../../_chunks/dep-decd1ba5.js');
require('../../../../_chunks/dep-3561ed02.js');
require('../../../../_chunks/dep-77923495.js');
require('../../../../_chunks/dep-5267fa9b.js');
require('../../../../_chunks/dep-01c97e2a.js');
require('../../../../_chunks/dep-3963da7e.js');
require('../../../../_chunks/dep-d788c41a.js');
require('../../../../_chunks/dep-a68b527a.js');
require('../../../../_chunks/dep-5522bd43.js');
require('../../../../_chunks/dep-ad2351bc.js');
require('../../../../_chunks/dep-d6f2b851.js');
require('../../../../_chunks/dep-40e0109f.js');
require('../../../../_chunks/dep-86086537.js');
require('../../../../_chunks/dep-1f99f0e5.js');
require('../../../../hooks/useGlobalIcon.js');
require('../../../../input/InputGroup.js');
require('../../../../hooks/useControlled.js');
require('../../../../_util/noop.js');
require('../../../../_chunks/dep-42d7bed5.js');
require('../../../../_chunks/dep-006f8a6d.js');
require('../../../../_chunks/dep-d4f8f0c4.js');
require('../../../../_chunks/dep-4b5c6368.js');
require('../../../../_chunks/dep-7e859ab6.js');
require('../../../../locale/LocalReceiver.js');
require('../../../../config-provider/ConfigProvider.js');
require('../../../../_chunks/dep-f0e94cb0.js');
require('../../../../_chunks/dep-cd4fa758.js');
require('../../../../_chunks/dep-cf814f66.js');
require('../../../../_chunks/dep-7dbe9cf7.js');
require('../../../../_chunks/dep-bd900d58.js');
require('../../../../_chunks/dep-e24d1659.js');
require('../../../../_chunks/dep-df011d17.js');
require('../../../../input/defaultProps.js');
require('../../../../_util/parseTNode.js');
require('../../../../_chunks/dep-53ae9438.js');
require('../../../../input/useLengthLimit.js');
require('../../../../_chunks/dep-b066e7ac.js');
require('../../../../_chunks/dep-dd0b0216.js');
require('../../../../hooks/useDefaultProps.js');
require('../../../../input-number/index.js');
require('../../../../input-number/InputNumber.js');
require('../../../../button/index.js');
require('../../../../button/Button.js');
require('../../../../hooks/useDomRefCallback.js');
require('../../../../hooks/useRipple.js');
require('../../../../_chunks/dep-91f34d3d.js');
require('../../../../hooks/useAnimation.js');
require('../../../../loading/index.js');
require('../../../../loading/Loading.js');
require('../../../../common/Portal.js');
require('react-dom');
require('../../../../loading/gradient.js');
require('../../../../loading/defaultProps.js');
require('../../../../loading/plugin.js');
require('../../../../_util/react-render.js');
require('../../../../_chunks/dep-1c5aedf3.js');
require('../../../../common/PluginContainer.js');
require('../../../../button/defaultProps.js');
require('../../../../input-number/useInputNumber.js');
require('../../../../_chunks/dep-abd391c7.js');
require('../../../../_chunks/dep-2360fa32.js');
require('../../../../hooks/useCommonClassName.js');
require('../../../../input-number/defaultProps.js');
require('../../../../_chunks/dep-6539e3d4.js');
require('../../../../_chunks/dep-0c1e22ea.js');
require('../../../../_chunks/dep-d5922382.js');
require('../../../../select/base/Select.js');
require('../../../../_util/helper.js');
require('../../../../_chunks/dep-93919e5b.js');
require('../../../../select/util/helper.js');
require('../../../../select/base/OptionGroup.js');
require('../../../../select/defaultProps.js');
require('../../../../select/base/Option.js');
require('../../../../_chunks/dep-65b91e54.js');
require('../../../../_chunks/dep-556420c0.js');
require('../../../../common/FakeArrow.js');
require('../../../../select-input/index.js');
require('../../../../select-input/SelectInput.js');
require('../../../../popup/index.js');
require('../../../../popup/Popup.js');
require('react-transition-group');
require('../../../../popup/hooks/useTrigger.js');
require('react-is');
require('../../../../_util/ref.js');
require('../../../../_util/isFragment.js');
require('../../../../_util/composeRefs.js');
require('../../../../_util/listener.js');
require('../../../../popup/utils/transition.js');
require('../../../../hooks/useMutationObserver.js');
require('../../../../hooks/useLatest.js');
require('../../../../_chunks/dep-f31a7521.js');
require('../../../../_chunks/dep-0a55a910.js');
require('../../../../_chunks/dep-12bca1df.js');
require('../../../../hooks/useWindowSize.js');
require('../../../../popup/defaultProps.js');
require('../../../../hooks/useAttach.js');
require('../../../../hooks/usePopper.js');
require('@popperjs/core');
require('react-fast-compare');
require('../../../../popup/PopupPlugin.js');
require('../../../../select-input/useSingle.js');
require('../../../../_chunks/dep-2a9b9709.js');
require('../../../../_chunks/dep-b89fb5c8.js');
require('../../../../_chunks/dep-e9e51520.js');
require('../../../../_chunks/dep-3ae87727.js');
require('../../../../_chunks/dep-93a6e7a7.js');
require('../../../../select-input/useMultiple.js');
require('../../../../tag-input/index.js');
require('../../../../tag-input/TagInput.js');
require('../../../../hooks/useDragSorter.js');
require('../../../../hooks/useEventCallback.js');
require('../../../../tag-input/useTagScroll.js');
require('../../../../tag-input/useTagList.js');
require('../../../../tag/index.js');
require('../../../../tag/Tag.js');
require('../../../../tag/defaultProps.js');
require('../../../../tag/CheckTag.js');
require('../../../../_chunks/dep-ccc9685f.js');
require('../../../../tag/CheckTagGroup.js');
require('../../../../tag-input/useHover.js');
require('../../../../tag-input/defaultProps.js');
require('../../../../select-input/useOverlayInnerStyle.js');
require('../../../../select-input/defaultProps.js');
require('../../../../select/base/PopupContent.js');
require('../../../../select/hooks/usePanelVirtualScroll.js');
require('../../../../hooks/useVirtualScroll.js');
require('../../../../hooks/useResizeObserver.js');
require('../../../../select/hooks/useOptions.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var FormatPanel = function FormatPanel(props) {
  var enableAlpha = props.enableAlpha,
    baseClassName = props.baseClassName,
    format = props.format,
    selectInputProps = props.selectInputProps;
  var _useState = React.useState(format),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    formatMode = _useState2[0],
    setFormatMode = _useState2[1];
  var handleModeChange = function handleModeChange(v) {
    setFormatMode(v);
  };
  return /* @__PURE__ */React__default["default"].createElement("div", {
    className: "".concat(baseClassName, "__format")
  }, /* @__PURE__ */React__default["default"].createElement("div", {
    className: "".concat(baseClassName, "__format--item")
  }, /* @__PURE__ */React__default["default"].createElement(select_index.Select, {
    size: "small",
    className: "".concat(baseClassName, "__format-mode-select"),
    popupProps: _objectSpread({
      overlayClassName: "".concat(baseClassName, "__select-options")
    }, selectInputProps === null || selectInputProps === void 0 ? void 0 : selectInputProps.popupProps),
    autoWidth: true,
    value: formatMode,
    onChange: handleModeChange
  }, colorPicker_components_panel_format_inputs.getColorFormatOptions(enableAlpha).map(function (item) {
    return /* @__PURE__ */React__default["default"].createElement(select_index.Select.Option, {
      key: item,
      value: item,
      label: item,
      style: {
        fontSize: "12px"
      }
    });
  }))), /* @__PURE__ */React__default["default"].createElement("div", {
    className: "".concat(baseClassName, "__format--item")
  }, /* @__PURE__ */React__default["default"].createElement(colorPicker_components_panel_format_inputs.FormatInputs, _objectSpread(_objectSpread({}, props), {}, {
    format: formatMode
  }))));
};
var FormatPanel$1 = /*#__PURE__*/React__default["default"].memo(FormatPanel);

exports["default"] = FormatPanel$1;
//# sourceMappingURL=index.js.map
