/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var datePicker_base_Footer = require('../base/Footer.js');
require('../../_chunks/dep-fe81c65a.js');
require('../../_chunks/dep-bbe52a2d.js');
require('../../_chunks/dep-3949d9f0.js');
require('../../_chunks/dep-228d2001.js');
require('classnames');
require('../../locale/LocalReceiver.js');
require('../../config-provider/ConfigProvider.js');
require('../../config-provider/ConfigContext.js');
require('../../_chunks/dep-24195208.js');
require('../../_chunks/dep-737e4f38.js');
require('dayjs');
require('../../_chunks/dep-18f56df7.js');
require('../../_chunks/dep-db3b17d7.js');
require('../../_chunks/dep-07098818.js');
require('../../_chunks/dep-7ffe7abb.js');
require('../../_chunks/dep-53bbe417.js');
require('../../_chunks/dep-5bb0ceb3.js');
require('../../_chunks/dep-7a979ab0.js');
require('../../_chunks/dep-f8271f08.js');
require('../../_chunks/dep-decd1ba5.js');
require('../../_chunks/dep-3561ed02.js');
require('../../_chunks/dep-77923495.js');
require('../../_chunks/dep-5267fa9b.js');
require('../../_chunks/dep-01c97e2a.js');
require('../../_chunks/dep-3963da7e.js');
require('../../_chunks/dep-d788c41a.js');
require('../../_chunks/dep-a68b527a.js');
require('../../_chunks/dep-5522bd43.js');
require('../../_chunks/dep-ad2351bc.js');
require('../../_chunks/dep-d6f2b851.js');
require('../../_chunks/dep-40e0109f.js');
require('../../_chunks/dep-86086537.js');
require('../../_chunks/dep-1f99f0e5.js');
require('../../_chunks/dep-f0e94cb0.js');
require('../../_chunks/dep-cd4fa758.js');
require('../../_chunks/dep-cf814f66.js');
require('../../_chunks/dep-7dbe9cf7.js');
require('../../_chunks/dep-bd900d58.js');
require('../../_chunks/dep-e24d1659.js');
require('../../_chunks/dep-df011d17.js');
require('../../button/index.js');
require('../../button/Button.js');
require('../../_chunks/dep-2a791a26.js');
require('../../hooks/useConfig.js');
require('../../hooks/useDomRefCallback.js');
require('../../hooks/useRipple.js');
require('../../_chunks/dep-91f34d3d.js');
require('../../hooks/useAnimation.js');
require('../../_chunks/dep-704d9321.js');
require('../../_chunks/dep-54722473.js');
require('../../loading/index.js');
require('../../loading/Loading.js');
require('../../common/Portal.js');
require('react-dom');
require('../../hooks/useLayoutEffect.js');
require('../../loading/gradient.js');
require('../../_chunks/dep-b066e7ac.js');
require('../../_chunks/dep-a21132eb.js');
require('../../_chunks/dep-dd0b0216.js');
require('../../loading/defaultProps.js');
require('../../hooks/useDefaultProps.js');
require('../../loading/plugin.js');
require('../../_util/react-render.js');
require('../../_chunks/dep-1c5aedf3.js');
require('../../common/PluginContainer.js');
require('../../button/defaultProps.js');
require('../../_util/parseTNode.js');
require('../../_chunks/dep-53ae9438.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function ExtraContent(props) {
  var presets = props.presets,
    enableTimePicker = props.enableTimePicker,
    presetsPlacement = props.presetsPlacement,
    onPresetClick = props.onPresetClick,
    onConfirmClick = props.onConfirmClick,
    selectedValue = props.selectedValue,
    needConfirm = props.needConfirm;
  var showPanelFooter = enableTimePicker && needConfirm || presets;
  return showPanelFooter ? /* @__PURE__ */React__default["default"].createElement(datePicker_base_Footer["default"], {
    presets: presets,
    onPresetClick: onPresetClick,
    enableTimePicker: enableTimePicker,
    onConfirmClick: onConfirmClick,
    presetsPlacement: presetsPlacement,
    selectedValue: selectedValue,
    needConfirm: needConfirm
  }) : null;
}

exports["default"] = ExtraContent;
//# sourceMappingURL=ExtraContent.js.map
