/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var form_Form = require('./Form.js');
require('../_chunks/dep-a21132eb.js');
require('../_chunks/dep-228d2001.js');
require('../_chunks/dep-3949d9f0.js');
require('../_chunks/dep-fe81c65a.js');
require('../_chunks/dep-bbe52a2d.js');
require('react');
require('classnames');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-24195208.js');
require('../_chunks/dep-737e4f38.js');
require('dayjs');
require('../_chunks/dep-18f56df7.js');
require('../_chunks/dep-db3b17d7.js');
require('../_chunks/dep-07098818.js');
require('../_chunks/dep-7ffe7abb.js');
require('../_chunks/dep-53bbe417.js');
require('../_chunks/dep-5bb0ceb3.js');
require('../_chunks/dep-7a979ab0.js');
require('../_chunks/dep-f8271f08.js');
require('../_chunks/dep-decd1ba5.js');
require('../_chunks/dep-3561ed02.js');
require('../_chunks/dep-77923495.js');
require('../_chunks/dep-5267fa9b.js');
require('../_chunks/dep-01c97e2a.js');
require('../_chunks/dep-3963da7e.js');
require('../_chunks/dep-d788c41a.js');
require('../_chunks/dep-a68b527a.js');
require('../_chunks/dep-5522bd43.js');
require('../_chunks/dep-ad2351bc.js');
require('../_chunks/dep-d6f2b851.js');
require('../_chunks/dep-40e0109f.js');
require('../_chunks/dep-86086537.js');
require('../_chunks/dep-1f99f0e5.js');
require('../_util/noop.js');
require('../_util/forwardRefWithStatics.js');
require('hoist-non-react-statics');
require('./hooks/useInstance.js');
require('../_chunks/dep-2a791a26.js');
require('../_chunks/dep-1c5aedf3.js');
require('../_chunks/dep-53ae9438.js');
require('./utils/index.js');
require('../_chunks/dep-e9e51520.js');
require('../_chunks/dep-556420c0.js');
require('../_chunks/dep-7e859ab6.js');
require('../_chunks/dep-4b5c6368.js');
require('../_chunks/dep-65b91e54.js');
require('../_chunks/dep-064ecbe2.js');
require('../_chunks/dep-e24d1659.js');
require('../_chunks/dep-df011d17.js');
require('../_chunks/dep-f31a7521.js');
require('../_chunks/dep-0a55a910.js');
require('../_chunks/dep-12bca1df.js');
require('../_chunks/dep-cf814f66.js');
require('../_chunks/dep-7dbe9cf7.js');
require('../_chunks/dep-bd900d58.js');
require('../_chunks/dep-4f8ba343.js');
require('../_chunks/dep-b89fb5c8.js');
require('./hooks/useForm.js');
require('../_chunks/dep-3dc69e9b.js');
require('./hooks/useWatch.js');
require('../_chunks/dep-2360fa32.js');
require('./FormContext.js');
require('./FormItem.js');
require('tdesign-icons-react');
require('../hooks/useGlobalIcon.js');
require('./formModel.js');
require('../_chunks/dep-b066e7ac.js');
require('../_chunks/dep-dd0b0216.js');
require('./hooks/useFormItemStyle.js');
require('../_util/parseTNode.js');
require('./const.js');
require('./hooks/useFormItemInitialData.js');
require('../tree/Tree.js');
require('react-transition-group');
require('../tree/TreeItem.js');
require('../loading/index.js');
require('../loading/Loading.js');
require('../_chunks/dep-704d9321.js');
require('../_chunks/dep-54722473.js');
require('../common/Portal.js');
require('react-dom');
require('../hooks/useLayoutEffect.js');
require('../loading/gradient.js');
require('../_chunks/dep-91f34d3d.js');
require('../hooks/useDomRefCallback.js');
require('../loading/defaultProps.js');
require('../hooks/useDefaultProps.js');
require('../loading/plugin.js');
require('../_util/react-render.js');
require('../common/PluginContainer.js');
require('../config-provider/ConfigProvider.js');
require('../_chunks/dep-f0e94cb0.js');
require('../_chunks/dep-cd4fa758.js');
require('../hooks/useRipple.js');
require('../hooks/useAnimation.js');
require('../checkbox/index.js');
require('../_chunks/dep-41e5267c.js');
require('../common/Check.js');
require('../_util/helper.js');
require('../_chunks/dep-93919e5b.js');
require('../_chunks/dep-42d7bed5.js');
require('../_chunks/dep-006f8a6d.js');
require('../_chunks/dep-d4f8f0c4.js');
require('../hooks/useControlled.js');
require('../_chunks/dep-14fc6700.js');
require('../checkbox/defaultProps.js');
require('../tree/hooks/useTreeConfig.js');
require('../locale/LocalReceiver.js');
require('../tree/hooks/useDraggable.js');
require('../tree/hooks/TreeDraggableContext.js');
require('../_util/createHookContext.js');
require('../hooks/usePersistFn.js');
require('../_chunks/dep-6539e3d4.js');
require('../_chunks/dep-0c1e22ea.js');
require('../_chunks/dep-d5922382.js');
require('../_util/composeRefs.js');
require('../tree/hooks/useControllable.js');
require('../tree/hooks/useStore.js');
require('../_chunks/dep-354a0f13.js');
require('mitt');
require('../_chunks/dep-bb95b18b.js');
require('../_chunks/dep-2a9b9709.js');
require('../_chunks/dep-3ae87727.js');
require('../_chunks/dep-93a6e7a7.js');
require('../_chunks/dep-013699bc.js');
require('../_chunks/dep-84fbcec5.js');
require('../_chunks/dep-805fcdb5.js');
require('../_chunks/dep-5669eec6.js');
require('../_chunks/dep-3e9ca68a.js');
require('../_chunks/dep-b275e705.js');
require('../_chunks/dep-9a247121.js');
require('../hooks/useUpdateLayoutEffect.js');
require('../hooks/useIsFirstRender.js');
require('../hooks/usePrevious.js');
require('../tree/hooks/useTreeVirtualScroll.js');
require('../hooks/useVirtualScroll.js');
require('../hooks/useResizeObserver.js');
require('../hooks/useLatest.js');
require('../hooks/useEventCallback.js');
require('../upload/upload.js');
require('../upload/themes/NormalFile.js');
require('../_chunks/dep-451b562c.js');
require('../link/index.js');
require('../link/Link.js');
require('../link/defaultProps.js');
require('../upload/themes/DraggerFile.js');
require('../hooks/useCommonClassName.js');
require('../upload/hooks/useDrag.js');
require('../image-viewer/index.js');
require('../image-viewer/ImageViewer.js');
require('../_chunks/dep-ed534a43.js');
require('../_chunks/dep-abd391c7.js');
require('../hooks/useImagePreviewUrl.js');
require('../tooltip/index.js');
require('../tooltip/Tooltip.js');
require('../popup/index.js');
require('../popup/Popup.js');
require('../popup/hooks/useTrigger.js');
require('react-is');
require('../_util/ref.js');
require('../_util/isFragment.js');
require('../_util/listener.js');
require('../popup/utils/transition.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useWindowSize.js');
require('../popup/defaultProps.js');
require('../hooks/useAttach.js');
require('../hooks/usePopper.js');
require('@popperjs/core');
require('react-fast-compare');
require('../popup/PopupPlugin.js');
require('../tooltip/defaultProps.js');
require('../tooltip/TooltipLite.js');
require('../hooks/useSwitch.js');
require('../image-viewer/utils.js');
require('../dialog/index.js');
require('../dialog/Dialog.js');
require('../hooks/useSetState.js');
require('../dialog/defaultProps.js');
require('../dialog/DialogCard.js');
require('../button/index.js');
require('../button/Button.js');
require('../button/defaultProps.js');
require('../dialog/hooks/useDialogEsc.js');
require('../dialog/hooks/useLockStyle.js');
require('../_chunks/dep-e6a4e0ff.js');
require('../dialog/hooks/useDialogPosition.js');
require('../dialog/hooks/useDialogDrag.js');
require('../dialog/utils.js');
require('../dialog/plugin.js');
require('../image-viewer/hooks/useMirror.js');
require('../image-viewer/hooks/usePosition.js');
require('../image-viewer/hooks/useIndex.js');
require('../image-viewer/hooks/useRotate.js');
require('../image-viewer/hooks/useScale.js');
require('../image-viewer/hooks/useIconMap.js');
require('../image/index.js');
require('../image/Image.js');
require('../_chunks/dep-03e4a661.js');
require('../image/defaultProps.js');
require('../space/index.js');
require('../space/Space.js');
require('../space/defaultProps.js');
require('../image-viewer/defaultProps.js');
require('../image-viewer/hooks/useImageScale.js');
require('../image-viewer/hooks/useList.js');
require('../image-viewer/hooks/useViewerScale.js');
require('../upload/themes/ImageCard.js');
require('../upload/themes/MultipleFlowList.js');
require('../upload/hooks/useUpload.js');
require('../_chunks/dep-19ebc2c7.js');
require('../upload/defaultProps.js');
require('../upload/themes/CustomFile.js');
require('../tag/CheckTag.js');
require('../_chunks/dep-ccc9685f.js');
require('../tag/defaultProps.js');
require('../tag/Tag.js');
require('tinycolor2');
require('../tag-input/TagInput.js');
require('../hooks/useDragSorter.js');
require('../input/index.js');
require('../input/Input.js');
require('../input/InputGroup.js');
require('../input/defaultProps.js');
require('../input/useLengthLimit.js');
require('../tag-input/useTagScroll.js');
require('../tag-input/useTagList.js');
require('../tag/index.js');
require('../tag/CheckTagGroup.js');
require('../tag-input/useHover.js');
require('../tag-input/defaultProps.js');
require('../range-input/RangeInput.js');
require('../range-input/defaultProps.js');
require('../transfer/Transfer.js');
require('../transfer/TransferList.js');
require('../transfer/utils.js');
require('../pagination/index.js');
require('../pagination/Pagination.js');
require('../select/index.js');
require('../select/base/Select.js');
require('../select/util/helper.js');
require('../select/base/OptionGroup.js');
require('../select/defaultProps.js');
require('../select/base/Option.js');
require('../common/FakeArrow.js');
require('../select-input/index.js');
require('../select-input/SelectInput.js');
require('../select-input/useSingle.js');
require('../select-input/useMultiple.js');
require('../tag-input/index.js');
require('../select-input/useOverlayInnerStyle.js');
require('../select-input/defaultProps.js');
require('../select/base/PopupContent.js');
require('../select/hooks/usePanelVirtualScroll.js');
require('../select/hooks/useOptions.js');
require('../input-number/index.js');
require('../input-number/InputNumber.js');
require('../input-number/useInputNumber.js');
require('../input-number/defaultProps.js');
require('../input-adornment/InputAdornment.js');
require('../pagination/hooks/useBoundaryJumper.js');
require('../pagination/hooks/usePrevNextJumper.js');
require('../pagination/hooks/usePageNumber.js');
require('../pagination/hooks/useTotal.js');
require('../pagination/validators.js');
require('../pagination/defaultProps.js');
require('../pagination/PaginationMini.js');
require('../transfer/defaultProps.js');
require('../date-picker/DateRangePicker.js');
require('../_chunks/dep-c2a15b32.js');
require('../_chunks/dep-2a5b1f0c.js');
require('../_chunks/dep-4347efab.js');
require('../range-input/index.js');
require('../range-input/RangeInputPopup.js');
require('../date-picker/panel/RangePanel.js');
require('../date-picker/panel/PanelContent.js');
require('../date-picker/base/Header.js');
require('../date-picker/base/Table.js');
require('../date-picker/base/Cell.js');
require('../time-picker/index.js');
require('../time-picker/TimePicker.js');
require('../_chunks/dep-7dce15d8.js');
require('../time-picker/hooks/useTimePickerTextConfig.js');
require('../hooks/useDebounce.js');
require('../hooks/usePropsRef.js');
require('../time-picker/TimeRangePicker.js');
require('../time-picker/panel/TimePickerPanel.js');
require('../time-picker/defaultProps.js');
require('../date-picker/panel/ExtraContent.js');
require('../date-picker/base/Footer.js');
require('../date-picker/hooks/useTableData.js');
require('../date-picker/hooks/useDisableDate.js');
require('../date-picker/utils.js');
require('../date-picker/hooks/useRange.js');
require('../date-picker/hooks/useRangeValue.js');
require('../date-picker/defaultProps.js');
require('./defaultProps.js');
require('./FormList.js');

var Form = form_Form["default"];

exports.Form = Form;
exports["default"] = Form;
//# sourceMappingURL=index.js.map
