/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _util_style = require('../../_chunks/dep-704d9321.js');
var _util_scroll = require('../../_util/scroll.js');
require('../../_chunks/dep-54722473.js');
require('../../_chunks/dep-7ffe7abb.js');
require('../../_chunks/dep-bbe52a2d.js');
require('../../_chunks/dep-5bb0ceb3.js');
require('../../_chunks/dep-53bbe417.js');
require('raf');
require('../../_util/easing.js');

function scrollToElm(elm) {
  var rect = elm.getBoundingClientRect();
  if (!_util_style.elementInViewport(elm)) {
    var winHeight = _util_style.getWindowSize().height;
    _util_scroll.scrollTo(rect.top - (winHeight / 2 - rect.height / 2), {});
  }
}

exports["default"] = scrollToElm;
//# sourceMappingURL=scrollToElm.js.map
