/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var hooks_useIsFirstRender = require('./useIsFirstRender.js');
var hooks_useLayoutEffect = require('./useLayoutEffect.js');
require('react');
require('../_chunks/dep-704d9321.js');
require('../_chunks/dep-54722473.js');
require('../_chunks/dep-7ffe7abb.js');
require('../_chunks/dep-bbe52a2d.js');
require('../_chunks/dep-5bb0ceb3.js');
require('../_chunks/dep-53bbe417.js');

var useUpdateLayoutEffect = function useUpdateLayoutEffect(callback, dependency) {
  var isFirstRender = hooks_useIsFirstRender["default"]();
  hooks_useLayoutEffect["default"](function () {
    if (isFirstRender) return;
    return callback();
  }, dependency);
};

exports["default"] = useUpdateLayoutEffect;
//# sourceMappingURL=useUpdateLayoutEffect.js.map
