/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../../_chunks/dep-fe81c65a.js');
var React = require('react');
var classNames = require('classnames');
var hooks_useConfig = require('../../hooks/useConfig.js');
var select_defaultProps = require('../defaultProps.js');
var hooks_useDefaultProps = require('../../hooks/useDefaultProps.js');
require('../../_chunks/dep-bbe52a2d.js');
require('../../config-provider/ConfigContext.js');
require('../../_chunks/dep-24195208.js');
require('../../_chunks/dep-737e4f38.js');
require('dayjs');
require('../../_chunks/dep-18f56df7.js');
require('../../_chunks/dep-db3b17d7.js');
require('../../_chunks/dep-07098818.js');
require('../../_chunks/dep-7ffe7abb.js');
require('../../_chunks/dep-53bbe417.js');
require('../../_chunks/dep-5bb0ceb3.js');
require('../../_chunks/dep-7a979ab0.js');
require('../../_chunks/dep-f8271f08.js');
require('../../_chunks/dep-decd1ba5.js');
require('../../_chunks/dep-3561ed02.js');
require('../../_chunks/dep-77923495.js');
require('../../_chunks/dep-5267fa9b.js');
require('../../_chunks/dep-01c97e2a.js');
require('../../_chunks/dep-3963da7e.js');
require('../../_chunks/dep-d788c41a.js');
require('../../_chunks/dep-a68b527a.js');
require('../../_chunks/dep-5522bd43.js');
require('../../_chunks/dep-ad2351bc.js');
require('../../_chunks/dep-d6f2b851.js');
require('../../_chunks/dep-40e0109f.js');
require('../../_chunks/dep-86086537.js');
require('../../_chunks/dep-1f99f0e5.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classNames__default = /*#__PURE__*/_interopDefaultLegacy(classNames);

var OptionGroup = function OptionGroup(props) {
  var _useDefaultProps = hooks_useDefaultProps["default"](props, select_defaultProps.optionGroupDefaultProps),
    children = _useDefaultProps.children,
    label = _useDefaultProps.label,
    divider = _useDefaultProps.divider;
  var _useConfig = hooks_useConfig["default"](),
    classPrefix = _useConfig.classPrefix;
  return /* @__PURE__ */React__default["default"].createElement("li", {
    className: classNames__default["default"]("".concat(classPrefix, "-select-option-group"), defineProperty._defineProperty({}, "".concat(classPrefix, "-select-option-group__divider"), divider))
  }, (label !== null && label !== void 0 ? label : false) && /* @__PURE__ */React__default["default"].createElement("div", {
    className: "".concat(classPrefix, "-select-option-group__header")
  }, label), children);
};

exports["default"] = OptionGroup;
//# sourceMappingURL=OptionGroup.js.map
