/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-fe81c65a.js');
var objectWithoutProperties = require('../_chunks/dep-2a791a26.js');
var React = require('react');
var table_PrimaryTable = require('./PrimaryTable.js');
var table_hooks_useTreeData = require('./hooks/useTreeData.js');
var table_hooks_useTreeSelect = require('./hooks/useTreeSelect.js');
var hooks_useConfig = require('../hooks/useConfig.js');
var get = require('../_chunks/dep-65b91e54.js');
require('../_chunks/dep-bbe52a2d.js');
require('classnames');
require('./BaseTable.js');
require('../_chunks/dep-3949d9f0.js');
require('../_chunks/dep-228d2001.js');
require('../_chunks/dep-b066e7ac.js');
require('../_chunks/dep-a21132eb.js');
require('../_chunks/dep-dd0b0216.js');
require('../_chunks/dep-7ffe7abb.js');
require('../_chunks/dep-53bbe417.js');
require('../_chunks/dep-53ae9438.js');
require('./TBody.js');
require('./TR.js');
require('./utils.js');
require('../_chunks/dep-decd1ba5.js');
require('../_chunks/dep-3561ed02.js');
require('./hooks/useFixed.js');
require('../_chunks/dep-e6a4e0ff.js');
require('../hooks/useDebounce.js');
require('../hooks/usePersistFn.js');
require('../_chunks/dep-0c1e22ea.js');
require('../_chunks/dep-d5922382.js');
require('../_chunks/dep-7e859ab6.js');
require('../hooks/usePrevious.js');
require('../_util/listener.js');
require('../_chunks/dep-704d9321.js');
require('../_chunks/dep-54722473.js');
require('../_chunks/dep-5bb0ceb3.js');
require('../_chunks/dep-c6162fd3.js');
require('../_chunks/dep-bd900d58.js');
require('../_chunks/dep-d6f2b851.js');
require('../_chunks/dep-40e0109f.js');
require('../_chunks/dep-5522bd43.js');
require('../_chunks/dep-3963da7e.js');
require('../_chunks/dep-f8271f08.js');
require('../_chunks/dep-b275e705.js');
require('../_chunks/dep-0a55a910.js');
require('../_chunks/dep-01c97e2a.js');
require('../_chunks/dep-d788c41a.js');
require('../_chunks/dep-9a247121.js');
require('../_chunks/dep-4b5c6368.js');
require('../_chunks/dep-77923495.js');
require('../_chunks/dep-93a6e7a7.js');
require('../_chunks/dep-7dbe9cf7.js');
require('../_chunks/dep-07098818.js');
require('../_chunks/dep-df011d17.js');
require('../_chunks/dep-42e4b4c6.js');
require('../_chunks/dep-12bca1df.js');
require('../_chunks/dep-84fbcec5.js');
require('../_chunks/dep-2a9b9709.js');
require('../_chunks/dep-556420c0.js');
require('../_chunks/dep-b89fb5c8.js');
require('../_chunks/dep-a68b527a.js');
require('../_chunks/dep-5267fa9b.js');
require('../_chunks/dep-e9e51520.js');
require('../_chunks/dep-3ae87727.js');
require('./hooks/useClassName.js');
require('./hooks/useLazyLoad.js');
require('../_chunks/dep-03e4a661.js');
require('./hooks/useRowspanAndColspan.js');
require('./Cell.js');
require('./Ellipsis.js');
require('../_util/scroll.js');
require('raf');
require('../_util/easing.js');
require('../tooltip/index.js');
require('../tooltip/Tooltip.js');
require('../popup/index.js');
require('../popup/Popup.js');
require('react-transition-group');
require('../hooks/useControlled.js');
require('../_util/noop.js');
require('../_chunks/dep-42d7bed5.js');
require('../_chunks/dep-006f8a6d.js');
require('../_chunks/dep-d4f8f0c4.js');
require('../hooks/useAnimation.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-24195208.js');
require('../_chunks/dep-737e4f38.js');
require('dayjs');
require('../_chunks/dep-18f56df7.js');
require('../_chunks/dep-db3b17d7.js');
require('../_chunks/dep-7a979ab0.js');
require('../_chunks/dep-ad2351bc.js');
require('../_chunks/dep-86086537.js');
require('../_chunks/dep-1f99f0e5.js');
require('../common/Portal.js');
require('react-dom');
require('../hooks/useLayoutEffect.js');
require('../popup/hooks/useTrigger.js');
require('react-is');
require('../_util/ref.js');
require('../_util/isFragment.js');
require('../_util/composeRefs.js');
require('../popup/utils/transition.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useLatest.js');
require('../_chunks/dep-f31a7521.js');
require('../_chunks/dep-cf814f66.js');
require('../_chunks/dep-e24d1659.js');
require('../hooks/useWindowSize.js');
require('../popup/defaultProps.js');
require('../hooks/useDefaultProps.js');
require('../hooks/useAttach.js');
require('../hooks/usePopper.js');
require('@popperjs/core');
require('react-fast-compare');
require('../popup/PopupPlugin.js');
require('../_chunks/dep-1c5aedf3.js');
require('../_util/react-render.js');
require('../common/PluginContainer.js');
require('../config-provider/ConfigProvider.js');
require('../_chunks/dep-f0e94cb0.js');
require('../_chunks/dep-cd4fa758.js');
require('../tooltip/defaultProps.js');
require('../tooltip/TooltipLite.js');
require('../hooks/useSwitch.js');
require('../_chunks/dep-6539e3d4.js');
require('../locale/LocalReceiver.js');
require('../_chunks/dep-93919e5b.js');
require('../affix/index.js');
require('../affix/Affix.js');
require('../affix/defaultProps.js');
require('./THead.js');
require('./hooks/useTableHeader.js');
require('./hooks/useMultiHeader.js');
require('./TFoot.js');
require('./hooks/useColumnResize.js');
require('../hooks/useElementLazyRender.js');
require('./hooks/useAffix.js');
require('./hooks/usePagination.js');
require('../pagination/index.js');
require('../pagination/Pagination.js');
require('../select/index.js');
require('../select/base/Select.js');
require('../_util/helper.js');
require('../_util/forwardRefWithStatics.js');
require('hoist-non-react-statics');
require('../select/util/helper.js');
require('../select/base/OptionGroup.js');
require('../select/defaultProps.js');
require('../select/base/Option.js');
require('../hooks/useDomRefCallback.js');
require('../hooks/useRipple.js');
require('../_chunks/dep-91f34d3d.js');
require('../common/FakeArrow.js');
require('../loading/index.js');
require('../loading/Loading.js');
require('../loading/gradient.js');
require('../loading/defaultProps.js');
require('../loading/plugin.js');
require('../select-input/index.js');
require('../select-input/SelectInput.js');
require('../select-input/useSingle.js');
require('../input/index.js');
require('../input/Input.js');
require('tdesign-icons-react');
require('../hooks/useGlobalIcon.js');
require('../input/InputGroup.js');
require('../input/defaultProps.js');
require('../_util/parseTNode.js');
require('../input/useLengthLimit.js');
require('../select-input/useMultiple.js');
require('../tag-input/index.js');
require('../tag-input/TagInput.js');
require('../hooks/useDragSorter.js');
require('../hooks/useEventCallback.js');
require('../tag-input/useTagScroll.js');
require('../tag-input/useTagList.js');
require('../tag/index.js');
require('../tag/Tag.js');
require('tinycolor2');
require('../tag/defaultProps.js');
require('../tag/CheckTag.js');
require('../_chunks/dep-ccc9685f.js');
require('../tag/CheckTagGroup.js');
require('../tag-input/useHover.js');
require('../tag-input/defaultProps.js');
require('../select-input/useOverlayInnerStyle.js');
require('../select-input/defaultProps.js');
require('../select/base/PopupContent.js');
require('../select/hooks/usePanelVirtualScroll.js');
require('../hooks/useVirtualScroll.js');
require('../hooks/useResizeObserver.js');
require('../select/hooks/useOptions.js');
require('../input-number/index.js');
require('../input-number/InputNumber.js');
require('../button/index.js');
require('../button/Button.js');
require('../button/defaultProps.js');
require('../input-number/useInputNumber.js');
require('../_chunks/dep-abd391c7.js');
require('../_chunks/dep-2360fa32.js');
require('../hooks/useCommonClassName.js');
require('../input-number/defaultProps.js');
require('../input-adornment/InputAdornment.js');
require('../pagination/hooks/useBoundaryJumper.js');
require('../pagination/hooks/usePrevNextJumper.js');
require('../pagination/hooks/usePageNumber.js');
require('../pagination/hooks/useTotal.js');
require('../pagination/validators.js');
require('../pagination/defaultProps.js');
require('../_chunks/dep-013699bc.js');
require('../pagination/PaginationMini.js');
require('./hooks/useStyle.js');
require('./defaultProps.js');
require('./hooks/useColumnController.js');
require('../checkbox/index.js');
require('../_chunks/dep-41e5267c.js');
require('../common/Check.js');
require('../_chunks/dep-14fc6700.js');
require('../checkbox/defaultProps.js');
require('../dialog/plugin.js');
require('../dialog/Dialog.js');
require('../hooks/useSetState.js');
require('../dialog/defaultProps.js');
require('../dialog/DialogCard.js');
require('../dialog/hooks/useDialogEsc.js');
require('../dialog/hooks/useLockStyle.js');
require('../dialog/hooks/useDialogPosition.js');
require('../dialog/hooks/useDialogDrag.js');
require('../dialog/utils.js');
require('../_chunks/dep-52e8a449.js');
require('./hooks/useRowExpand.js');
require('./hooks/useRowSelect.js');
require('../_chunks/dep-8c5b39c4.js');
require('../radio/index.js');
require('../_chunks/dep-e53e2d3c.js');
require('../radio/defaultProps.js');
require('../radio/useKeyboard.js');
require('./hooks/useSorter.js');
require('./SorterButton.js');
require('./hooks/useFilter.js');
require('./FilterController.js');
require('../_chunks/dep-064ecbe2.js');
require('./hooks/useDragSort.js');
require('sortablejs');
require('./hooks/useAsyncLoading.js');
require('./EditableCell.js');
require('../_chunks/dep-19ebc2c7.js');
require('../form/formModel.js');
require('../_chunks/dep-4f8ba343.js');
require('./hooks/useEditableRow.js');
require('../_chunks/dep-87c63f57.js');
require('../_chunks/dep-3dc69e9b.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _excluded = ["store", "dataSource", "formatTreeColumn", "swapData", "onExpandFoldIconClick"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var EnhancedTable = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var _props$tree2;
  var tree = props.tree,
    columns = props.columns,
    style = props.style,
    className = props.className;
  var _useConfig = hooks_useConfig["default"](),
    classPrefix = _useConfig.classPrefix;
  var primaryTableRef = React.useRef(null);
  var _useTreeData = table_hooks_useTreeData["default"](props),
    store = _useTreeData.store,
    dataSource = _useTreeData.dataSource,
    formatTreeColumn = _useTreeData.formatTreeColumn,
    swapData = _useTreeData.swapData,
    onExpandFoldIconClick = _useTreeData.onExpandFoldIconClick,
    treeInstanceFunctions = objectWithoutProperties._objectWithoutProperties(_useTreeData, _excluded);
  var treeDataMap = store === null || store === void 0 ? void 0 : store.treeDataMap;
  var _useTreeSelect = table_hooks_useTreeSelect["default"](props, treeDataMap),
    tIndeterminateSelectedRowKeys = _useTreeSelect.tIndeterminateSelectedRowKeys,
    onInnerSelectChange = _useTreeSelect.onInnerSelectChange;
  var _getColumns = function getColumns(columns2) {
    var arr = [];
    for (var i = 0, len = columns2.length; i < len; i++) {
      var _item$children, _item$children2;
      var item = _objectSpread({}, columns2[i]);
      item = formatTreeColumn(item);
      if ((_item$children = item.children) !== null && _item$children !== void 0 && _item$children.length) {
        item.children = _getColumns(item.children);
      }
      if (!item.children || (_item$children2 = item.children) !== null && _item$children2 !== void 0 && _item$children2.length) {
        arr.push(item);
      }
    }
    return arr;
  };
  var tColumns = function () {
    var isTreeData = !tree || !Object.keys(tree).length;
    return isTreeData ? columns : _getColumns(columns);
  }();
  var onEnhancedTableRowClick = function onEnhancedTableRowClick(p) {
    var _props$tree, _props$onRowClick;
    if ((_props$tree = props.tree) !== null && _props$tree !== void 0 && _props$tree.expandTreeNodeOnClick) {
      onExpandFoldIconClick({
        row: p.row,
        rowIndex: p.index
      }, "row-click");
    }
    (_props$onRowClick = props.onRowClick) === null || _props$onRowClick === void 0 || _props$onRowClick.call(props, p);
  };
  React.useImperativeHandle(ref, function () {
    return _objectSpread(_objectSpread({
      treeDataMap: treeDataMap
    }, treeInstanceFunctions), primaryTableRef.current);
  });
  var onDragSortChange = function onDragSortChange(params) {
    var _props$onDragSort;
    if (props.beforeDragSort && !props.beforeDragSort(params)) return;
    swapData({
      data: params.data,
      current: params.current,
      target: params.target,
      currentIndex: params.currentIndex,
      targetIndex: params.targetIndex
    });
    (_props$onDragSort = props.onDragSort) === null || _props$onDragSort === void 0 || _props$onDragSort.call(props, params);
  };
  var primaryTableProps = _objectSpread(_objectSpread({}, props), {}, {
    data: dataSource,
    columns: tColumns,
    indeterminateSelectedRowKeys: tIndeterminateSelectedRowKeys,
    disableDataPage: Boolean(tree && Object.keys(tree).length),
    onSelectChange: onInnerSelectChange,
    onDragSort: onDragSortChange,
    rowClassName: function rowClassName(_ref) {
      var row = _ref.row;
      var rowValue = get.get(row, props.rowKey || "id");
      var rowState = treeDataMap.get(rowValue);
      if (!rowState) return [props.rowClassName];
      return ["".concat(classPrefix, "-table-tr--level-").concat(rowState.level), props.rowClassName];
    },
    style: style,
    className: className
  });
  if ((_props$tree2 = props.tree) !== null && _props$tree2 !== void 0 && _props$tree2.expandTreeNodeOnClick) {
    primaryTableProps.onRowClick = onEnhancedTableRowClick;
  }
  return /* @__PURE__ */React__default["default"].createElement(table_PrimaryTable["default"], _objectSpread(_objectSpread({}, primaryTableProps), {}, {
    ref: primaryTableRef
  }));
});
EnhancedTable.displayName = "EnhancedTable";

exports["default"] = EnhancedTable;
//# sourceMappingURL=EnhancedTable.js.map
