/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _typeof = require('../_chunks/dep-bbe52a2d.js');
var defineProperty = require('../_chunks/dep-fe81c65a.js');
var React = require('react');
var classNames = require('classnames');
var table_hooks_useFixed = require('./hooks/useFixed.js');
var table_hooks_useClassName = require('./hooks/useClassName.js');
var table_hooks_useTableHeader = require('./hooks/useTableHeader.js');
var table_Ellipsis = require('./Ellipsis.js');
var table_utils = require('./utils.js');
var isFunction = require('../_chunks/dep-decd1ba5.js');
require('../_chunks/dep-3949d9f0.js');
require('../_chunks/dep-228d2001.js');
require('../_chunks/dep-b066e7ac.js');
require('../_chunks/dep-a21132eb.js');
require('../_chunks/dep-dd0b0216.js');
require('../_chunks/dep-7ffe7abb.js');
require('../_chunks/dep-53bbe417.js');
require('../_chunks/dep-53ae9438.js');
require('../_chunks/dep-e6a4e0ff.js');
require('../hooks/useDebounce.js');
require('../hooks/usePersistFn.js');
require('../_chunks/dep-0c1e22ea.js');
require('../_chunks/dep-3561ed02.js');
require('../_chunks/dep-d5922382.js');
require('../_chunks/dep-7e859ab6.js');
require('../hooks/usePrevious.js');
require('../_util/listener.js');
require('../_chunks/dep-704d9321.js');
require('../_chunks/dep-54722473.js');
require('../_chunks/dep-5bb0ceb3.js');
require('../_chunks/dep-c6162fd3.js');
require('../_chunks/dep-bd900d58.js');
require('../_chunks/dep-d6f2b851.js');
require('../_chunks/dep-40e0109f.js');
require('../_chunks/dep-5522bd43.js');
require('../_chunks/dep-3963da7e.js');
require('../_chunks/dep-f8271f08.js');
require('../_chunks/dep-b275e705.js');
require('../_chunks/dep-0a55a910.js');
require('../_chunks/dep-01c97e2a.js');
require('../_chunks/dep-d788c41a.js');
require('../_chunks/dep-9a247121.js');
require('../_chunks/dep-4b5c6368.js');
require('../_chunks/dep-77923495.js');
require('../_chunks/dep-93a6e7a7.js');
require('../_chunks/dep-7dbe9cf7.js');
require('../_chunks/dep-07098818.js');
require('../_chunks/dep-df011d17.js');
require('../_chunks/dep-42e4b4c6.js');
require('../_chunks/dep-12bca1df.js');
require('../_chunks/dep-84fbcec5.js');
require('../_chunks/dep-2a9b9709.js');
require('../_chunks/dep-556420c0.js');
require('../_chunks/dep-b89fb5c8.js');
require('../_chunks/dep-a68b527a.js');
require('../_chunks/dep-5267fa9b.js');
require('../_chunks/dep-e9e51520.js');
require('../_chunks/dep-3ae87727.js');
require('../_chunks/dep-65b91e54.js');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-24195208.js');
require('../_chunks/dep-737e4f38.js');
require('dayjs');
require('../_chunks/dep-18f56df7.js');
require('../_chunks/dep-db3b17d7.js');
require('../_chunks/dep-7a979ab0.js');
require('../_chunks/dep-ad2351bc.js');
require('../_chunks/dep-86086537.js');
require('../_chunks/dep-1f99f0e5.js');
require('./hooks/useMultiHeader.js');
require('../_util/scroll.js');
require('raf');
require('../_util/easing.js');
require('../tooltip/index.js');
require('../tooltip/Tooltip.js');
require('../_chunks/dep-2a791a26.js');
require('../popup/index.js');
require('../popup/Popup.js');
require('react-transition-group');
require('../hooks/useControlled.js');
require('../_util/noop.js');
require('../_chunks/dep-42d7bed5.js');
require('../_chunks/dep-006f8a6d.js');
require('../_chunks/dep-d4f8f0c4.js');
require('../hooks/useAnimation.js');
require('../common/Portal.js');
require('react-dom');
require('../hooks/useLayoutEffect.js');
require('../popup/hooks/useTrigger.js');
require('react-is');
require('../_util/ref.js');
require('../_util/isFragment.js');
require('../_util/composeRefs.js');
require('../popup/utils/transition.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useLatest.js');
require('../_chunks/dep-f31a7521.js');
require('../_chunks/dep-cf814f66.js');
require('../_chunks/dep-e24d1659.js');
require('../hooks/useWindowSize.js');
require('../popup/defaultProps.js');
require('../hooks/useDefaultProps.js');
require('../hooks/useAttach.js');
require('../hooks/usePopper.js');
require('@popperjs/core');
require('react-fast-compare');
require('../popup/PopupPlugin.js');
require('../_chunks/dep-1c5aedf3.js');
require('../_util/react-render.js');
require('../common/PluginContainer.js');
require('../config-provider/ConfigProvider.js');
require('../_chunks/dep-f0e94cb0.js');
require('../_chunks/dep-cd4fa758.js');
require('../tooltip/defaultProps.js');
require('../tooltip/TooltipLite.js');
require('../hooks/useSwitch.js');
require('../_chunks/dep-6539e3d4.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classNames__default = /*#__PURE__*/_interopDefaultLegacy(classNames);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function THead(props) {
  var columnResizeParams = props.columnResizeParams,
    classPrefix = props.classPrefix,
    showColumnShadow = props.showColumnShadow;
  var theadRef = React.useRef(null);
  var classnames = table_hooks_useClassName["default"]();
  var tableHeaderClasses = classnames.tableHeaderClasses,
    tableBaseClass = classnames.tableBaseClass;
  var theadClasses = [tableHeaderClasses.header, defineProperty._defineProperty(defineProperty._defineProperty(defineProperty._defineProperty({}, tableHeaderClasses.fixed, Boolean(props.maxHeight || props.height)), tableBaseClass.bordered, props.bordered && props.isMultipleHeader), tableHeaderClasses.multipleHeader, props.isMultipleHeader)];
  var colspanSkipMap = React.useMemo(function () {
    var map = {};
    var list = props.thList[0];
    for (var i = 0, len = list.length; i < len; i++) {
      var item = list[i];
      if (item.colspan > 1) {
        for (var j = i + 1; j < i + item.colspan; j++) {
          if (list[j]) {
            map[list[j].colKey] = true;
          }
        }
      }
    }
    return map;
  }, [props.thList]);
  var getTableNode = function getTableNode(thead) {
    var parent = thead;
    while (parent) {
      var _parent;
      parent = parent.parentNode;
      if ((_parent = parent) !== null && _parent !== void 0 && (_parent = _parent.classList) !== null && _parent !== void 0 && _parent.contains("".concat(props.classPrefix, "-table"))) {
        break;
      }
    }
    return parent;
  };
  var renderThNodeList = function renderThNodeList(rowAndColFixedPosition, thWidthList) {
    var thBorderMap = /* @__PURE__ */new Map();
    var thRowspanAndColspan = props.spansAndLeafNodes.rowspanAndColspanMap;
    return props.thList.map(function (row, rowIndex) {
      var thRow = row.map(function (col, index) {
        var _col$children;
        if (colspanSkipMap[col.colKey]) return null;
        var rowspanAndColspan = thRowspanAndColspan.get(col);
        if (index === 0 && rowspanAndColspan.rowspan > 1) {
          for (var j = rowIndex + 1; j < rowIndex + rowspanAndColspan.rowspan; j++) {
            thBorderMap.set(props.thList[j][0], true);
          }
        }
        var thStyles = table_hooks_useFixed.getColumnFixedStyles(col, index, rowAndColFixedPosition, classnames.tableColFixedClasses);
        var colParams = {
          col: col,
          colIndex: index,
          row: {},
          rowIndex: -1
        };
        var isLeftFixedActive = showColumnShadow.left && col.fixed === "left";
        var isRightFixedActive = showColumnShadow.right && col.fixed === "right";
        var canDragSort = props.thDraggable && !(isLeftFixedActive || isRightFixedActive);
        var customClasses = table_utils.formatClassNames(col.className, _objectSpread(_objectSpread({}, colParams), {}, {
          type: "th"
        }));
        var thCustomClasses = table_utils.formatClassNames(col.thClassName, colParams);
        var thClasses = [thStyles.classes, customClasses, thCustomClasses, defineProperty._defineProperty(defineProperty._defineProperty(defineProperty._defineProperty(defineProperty._defineProperty({}, tableHeaderClasses.thBordered, thBorderMap.get(col)), "".concat(classPrefix, "-table__th-").concat(col.colKey), col.colKey), classnames.tdAlignClasses[col.align], col.align && col.align !== "left"), classnames.tableDraggableClasses.dragSortTh, canDragSort)];
        var withoutChildren = !((_col$children = col.children) !== null && _col$children !== void 0 && _col$children.length);
        var width = withoutChildren && thWidthList !== null && thWidthList !== void 0 && thWidthList[col.colKey] ? "".concat(thWidthList === null || thWidthList === void 0 ? void 0 : thWidthList[col.colKey], "px") : void 0;
        var styles = _objectSpread(_objectSpread({}, thStyles.style || {}), {}, {
          width: width
        });
        var innerTh = table_hooks_useTableHeader.renderTitle(col, index);
        if (!col.colKey) return null;
        var resizeColumnListener = props.resizable || !canDragSort ? {
          onMouseDown: function onMouseDown(e) {
            if (props.resizable) {
              var _columnResizeParams$o;
              columnResizeParams === null || columnResizeParams === void 0 || (_columnResizeParams$o = columnResizeParams.onColumnMousedown) === null || _columnResizeParams$o === void 0 || _columnResizeParams$o.call(columnResizeParams, e, col, index);
            }
            if (!canDragSort) {
              var timer = setTimeout(function () {
                var _thList$index;
                var thList = theadRef.current.querySelectorAll("th");
                (_thList$index = thList[index]) === null || _thList$index === void 0 || _thList$index.removeAttribute("draggable");
                clearTimeout(timer);
              }, 10);
            }
          },
          onMouseMove: function onMouseMove(e) {
            var _columnResizeParams$o2;
            props.resizable && (columnResizeParams === null || columnResizeParams === void 0 || (_columnResizeParams$o2 = columnResizeParams.onColumnMouseover) === null || _columnResizeParams$o2 === void 0 ? void 0 : _columnResizeParams$o2.call(columnResizeParams, e, col));
          }
        } : {};
        var content = isFunction.isFunction(col.ellipsisTitle) ? col.ellipsisTitle({
          col: col,
          colIndex: index
        }) : void 0;
        var isEllipsis = col.ellipsisTitle !== void 0 ? Boolean(col.ellipsisTitle) : Boolean(col.ellipsis);
        var attrs = (isFunction.isFunction(col.attrs) ? col.attrs(_objectSpread(_objectSpread({}, colParams), {}, {
          type: "th"
        })) : col.attrs) || {};
        if (col.colspan > 1) {
          attrs.colSpan = col.colspan;
        }
        return /* @__PURE__ */React__default["default"].createElement("th", _objectSpread(_objectSpread(_objectSpread({
          key: col.colKey,
          "data-colkey": col.colKey,
          className: classNames__default["default"](thClasses),
          style: styles
        }, {
          rowSpan: rowspanAndColspan.rowspan,
          colSpan: rowspanAndColspan.colspan
        }), attrs), resizeColumnListener), /* @__PURE__ */React__default["default"].createElement("div", {
          className: tableBaseClass.thCellInner
        }, isEllipsis ? /* @__PURE__ */React__default["default"].createElement(table_Ellipsis["default"], {
          placement: "bottom",
          attach: theadRef.current ? function () {
            return getTableNode(theadRef.current);
          } : void 0,
          popupContent: content,
          tooltipProps: _typeof._typeof(col.ellipsisTitle) === "object" ? col.ellipsisTitle : void 0,
          overlayClassName: props.ellipsisOverlayClassName,
          classPrefix: props.classPrefix
        }, innerTh) : innerTh));
      });
      return /* @__PURE__ */React__default["default"].createElement("tr", {
        key: rowIndex
      }, thRow);
    });
  };
  return /* @__PURE__ */React__default["default"].createElement("thead", {
    ref: theadRef,
    className: classNames__default["default"](theadClasses)
  }, renderThNodeList(props.rowAndColFixedPosition, props.thWidthList));
}

exports["default"] = THead;
//# sourceMappingURL=THead.js.map
