/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../../_chunks/dep-fe81c65a.js');
var slicedToArray = require('../../_chunks/dep-3949d9f0.js');
var _typeof = require('../../_chunks/dep-bbe52a2d.js');
var React = require('react');
var utils = require('../../_chunks/dep-8c5b39c4.js');
var table_hooks_useClassName = require('./useClassName.js');
var button_index = require('../../button/index.js');
var hooks_useControlled = require('../../hooks/useControlled.js');
var table_FilterController = require('../FilterController.js');
var locale_LocalReceiver = require('../../locale/LocalReceiver.js');
var isFunction = require('../../_chunks/dep-decd1ba5.js');
require('../../_chunks/dep-228d2001.js');
require('../../_chunks/dep-65b91e54.js');
require('../../_chunks/dep-556420c0.js');
require('../../_chunks/dep-5bb0ceb3.js');
require('../../_chunks/dep-7e859ab6.js');
require('../../_chunks/dep-7ffe7abb.js');
require('../../_chunks/dep-53bbe417.js');
require('../../_chunks/dep-01c97e2a.js');
require('../../_chunks/dep-3963da7e.js');
require('../../_chunks/dep-3561ed02.js');
require('../../_chunks/dep-d788c41a.js');
require('../../_chunks/dep-4b5c6368.js');
require('../../hooks/useConfig.js');
require('../../config-provider/ConfigContext.js');
require('../../_chunks/dep-24195208.js');
require('../../_chunks/dep-737e4f38.js');
require('dayjs');
require('../../_chunks/dep-18f56df7.js');
require('../../_chunks/dep-db3b17d7.js');
require('../../_chunks/dep-07098818.js');
require('../../_chunks/dep-7a979ab0.js');
require('../../_chunks/dep-f8271f08.js');
require('../../_chunks/dep-77923495.js');
require('../../_chunks/dep-5267fa9b.js');
require('../../_chunks/dep-a68b527a.js');
require('../../_chunks/dep-5522bd43.js');
require('../../_chunks/dep-ad2351bc.js');
require('../../_chunks/dep-d6f2b851.js');
require('../../_chunks/dep-40e0109f.js');
require('../../_chunks/dep-86086537.js');
require('../../_chunks/dep-1f99f0e5.js');
require('../../button/Button.js');
require('../../_chunks/dep-2a791a26.js');
require('classnames');
require('../../hooks/useDomRefCallback.js');
require('../../hooks/useRipple.js');
require('../../_chunks/dep-91f34d3d.js');
require('../../hooks/useAnimation.js');
require('../../_chunks/dep-704d9321.js');
require('../../_chunks/dep-54722473.js');
require('../../loading/index.js');
require('../../loading/Loading.js');
require('../../common/Portal.js');
require('react-dom');
require('../../hooks/useLayoutEffect.js');
require('../../loading/gradient.js');
require('../../_chunks/dep-b066e7ac.js');
require('../../_chunks/dep-a21132eb.js');
require('../../_chunks/dep-dd0b0216.js');
require('../../loading/defaultProps.js');
require('../../hooks/useDefaultProps.js');
require('../../loading/plugin.js');
require('../../_util/react-render.js');
require('../../_chunks/dep-1c5aedf3.js');
require('../../common/PluginContainer.js');
require('../../config-provider/ConfigProvider.js');
require('../../_chunks/dep-f0e94cb0.js');
require('../../_chunks/dep-cd4fa758.js');
require('../../_chunks/dep-cf814f66.js');
require('../../_chunks/dep-7dbe9cf7.js');
require('../../_chunks/dep-bd900d58.js');
require('../../_chunks/dep-e24d1659.js');
require('../../_chunks/dep-df011d17.js');
require('../../button/defaultProps.js');
require('../../_util/parseTNode.js');
require('../../_chunks/dep-53ae9438.js');
require('../../_util/noop.js');
require('../../_chunks/dep-42d7bed5.js');
require('../../_chunks/dep-006f8a6d.js');
require('../../_chunks/dep-d4f8f0c4.js');
require('tdesign-icons-react');
require('../../popup/index.js');
require('../../popup/Popup.js');
require('react-transition-group');
require('../../popup/hooks/useTrigger.js');
require('react-is');
require('../../_util/ref.js');
require('../../_util/isFragment.js');
require('../../_util/composeRefs.js');
require('../../_util/listener.js');
require('../../popup/utils/transition.js');
require('../../hooks/useMutationObserver.js');
require('../../hooks/useLatest.js');
require('../../_chunks/dep-f31a7521.js');
require('../../_chunks/dep-0a55a910.js');
require('../../_chunks/dep-12bca1df.js');
require('../../_chunks/dep-0c1e22ea.js');
require('../../_chunks/dep-d5922382.js');
require('../../hooks/useWindowSize.js');
require('../../popup/defaultProps.js');
require('../../hooks/useAttach.js');
require('../../hooks/usePopper.js');
require('@popperjs/core');
require('react-fast-compare');
require('../../popup/PopupPlugin.js');
require('../../checkbox/index.js');
require('../../_chunks/dep-41e5267c.js');
require('../../_util/forwardRefWithStatics.js');
require('hoist-non-react-statics');
require('../../common/Check.js');
require('../../_util/helper.js');
require('../../_chunks/dep-93919e5b.js');
require('../../_chunks/dep-14fc6700.js');
require('../../checkbox/defaultProps.js');
require('../../radio/index.js');
require('../../_chunks/dep-e53e2d3c.js');
require('../../_chunks/dep-03e4a661.js');
require('../../hooks/useCommonClassName.js');
require('../../radio/defaultProps.js');
require('../../radio/useKeyboard.js');
require('../../_chunks/dep-ccc9685f.js');
require('../../input/index.js');
require('../../input/Input.js');
require('../../hooks/useGlobalIcon.js');
require('../../input/InputGroup.js');
require('../../input/defaultProps.js');
require('../../input/useLengthLimit.js');
require('../../_chunks/dep-064ecbe2.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function isFilterValueExist(value) {
  var isArrayTrue = value instanceof Array && value.length;
  var isObject = _typeof._typeof(value) === "object" && !(value instanceof Array);
  var isObjectTrue = isObject && Object.keys(value || {}).length;
  return isArrayTrue || isObjectTrue || ![null, "", void 0].includes(value);
}
function filterEmptyData(data) {
  var newFilterValue = {};
  Object.keys(data).forEach(function (key) {
    var item = data[key];
    if (isFilterValueExist(item)) {
      newFilterValue[key] = item;
    }
  });
  return newFilterValue;
}
function useFilter(props, primaryTableRef) {
  var columns = props.columns;
  var _useLocaleReceiver = locale_LocalReceiver.useLocaleReceiver("table"),
    _useLocaleReceiver2 = slicedToArray._slicedToArray(_useLocaleReceiver, 2),
    locale = _useLocaleReceiver2[0],
    t = _useLocaleReceiver2[1];
  var _useClassName = table_hooks_useClassName["default"](),
    tableFilterClasses = _useClassName.tableFilterClasses,
    isFocusClass = _useClassName.isFocusClass;
  var _useState = React.useState(),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    isTableOverflowHidden = _useState2[0],
    setIsTableOverflowHidden = _useState2[1];
  var _useControlled = hooks_useControlled["default"](props, "filterValue", props.onFilterChange),
    _useControlled2 = slicedToArray._slicedToArray(_useControlled, 2),
    tFilterValue = _useControlled2[0],
    setTFilterValue = _useControlled2[1];
  var _useState3 = React.useState(tFilterValue),
    _useState4 = slicedToArray._slicedToArray(_useState3, 2),
    innerFilterValue = _useState4[0],
    setInnerFilterValue = _useState4[1];
  var hasEmptyCondition = function () {
    var filterEmpty = filterEmptyData(tFilterValue || {});
    return !tFilterValue || !Object.keys(filterEmpty).length;
  }();
  React.useEffect(function () {
    setInnerFilterValue(tFilterValue);
  }, [tFilterValue]);
  function renderFirstFilterRow() {
    var _props$pagination, _props$data;
    if (hasEmptyCondition) return null;
    var defaultNode = /* @__PURE__ */React__default["default"].createElement("div", {
      className: tableFilterClasses.result
    }, /* @__PURE__ */React__default["default"].createElement("span", null, t(locale.searchResultText, {
      result: getFilterResultContent(),
      count: ((_props$pagination = props.pagination) === null || _props$pagination === void 0 ? void 0 : _props$pagination.total) || ((_props$data = props.data) === null || _props$data === void 0 ? void 0 : _props$data.length)
    })), /* @__PURE__ */React__default["default"].createElement(button_index.Button, {
      theme: "primary",
      variant: "text",
      onClick: onResetAll
    }, locale.clearFilterResultButtonText));
    var filterContent = isFunction.isFunction(props.filterRow) ? props.filterRow() : props.filterRow;
    if (filterContent === null) return null;
    var r = filterContent || defaultNode;
    if (!r) return null;
    return /* @__PURE__ */React__default["default"].createElement("div", {
      className: tableFilterClasses.inner
    }, r);
  }
  function getFilterResultContent() {
    var arr = [];
    props.columns.filter(function (col) {
      return col.filter;
    }).forEach(function (col) {
      var value = tFilterValue[col.colKey];
      if (col.filter.list && !["null", "", "undefined"].includes(String(value))) {
        var formattedValue = value instanceof Array ? value : [value];
        var label = [];
        col.filter.list.forEach(function (option) {
          if (formattedValue.includes(option.value)) {
            label.push(option.label);
          }
        });
        value = label.join();
      }
      if (isFilterValueExist(value)) {
        arr.push("".concat(col.title, "\uFF1A").concat(value));
      }
    });
    return arr.join("\uFF1B");
  }
  function onInnerFilterChange(val, column) {
    var filterValue = _objectSpread(_objectSpread({}, innerFilterValue), {}, defineProperty._defineProperty({}, column.colKey, val));
    setInnerFilterValue(filterValue);
    if (!column.filter.showConfirmAndReset) {
      emitFilterChange(filterValue, "filter-change", column);
    }
  }
  function emitFilterChange(filterValue, trigger, column) {
    var _props$onChange;
    setTFilterValue(filterValue, {
      col: column,
      trigger: trigger
    });
    (_props$onChange = props.onChange) === null || _props$onChange === void 0 || _props$onChange.call(props, {
      filter: filterValue
    }, {
      trigger: "filter"
    });
  }
  function onReset(column) {
    var filterValue = _objectSpread(_objectSpread({}, tFilterValue), {}, defineProperty._defineProperty({}, column.colKey, {
      single: "",
      multiple: [],
      input: ""
    }[column.filter.type] || column.filter.resetValue || ""));
    emitFilterChange(filterValue, "reset", column);
  }
  function onResetAll() {
    var resetValue = utils.getColumnsResetValue(columns);
    emitFilterChange(resetValue, "clear", void 0);
  }
  function onConfirm(column) {
    emitFilterChange(innerFilterValue, "confirm", column);
  }
  function renderFilterIcon(_ref) {
    var _primaryTableRef$curr;
    var col = _ref.col,
      colIndex = _ref.colIndex;
    return /* @__PURE__ */React__default["default"].createElement(table_FilterController["default"], {
      column: col,
      colIndex: colIndex,
      filterIcon: props.filterIcon,
      tFilterValue: tFilterValue,
      innerFilterValue: innerFilterValue,
      tableFilterClasses: tableFilterClasses,
      isFocusClass: isFocusClass,
      popupProps: col.filter.popupProps,
      onReset: onReset,
      onConfirm: onConfirm,
      onInnerFilterChange: onInnerFilterChange,
      primaryTableElement: primaryTableRef === null || primaryTableRef === void 0 || (_primaryTableRef$curr = primaryTableRef.current) === null || _primaryTableRef$curr === void 0 ? void 0 : _primaryTableRef$curr.tableElement,
      onVisibleChange: onPopupVisibleChange
    });
  }
  function onPopupVisibleChange(visible) {
    if (visible && !isTableOverflowHidden) {
      setIsTableOverflowHidden(!visible);
    }
  }
  return {
    hasEmptyCondition: hasEmptyCondition,
    isTableOverflowHidden: isTableOverflowHidden,
    renderFilterIcon: renderFilterIcon,
    renderFirstFilterRow: renderFirstFilterRow
  };
}

exports["default"] = useFilter;
//# sourceMappingURL=useFilter.js.map
