/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tabs_Tabs = require('./Tabs.js');
require('../_chunks/dep-3949d9f0.js');
require('../_chunks/dep-228d2001.js');
require('../_chunks/dep-fe81c65a.js');
require('../_chunks/dep-bbe52a2d.js');
require('react');
require('classnames');
require('../_util/forwardRefWithStatics.js');
require('hoist-non-react-statics');
require('./TabNav.js');
require('tdesign-icons-react');
require('../_util/noop.js');
require('./useTabClass.js');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-24195208.js');
require('../_chunks/dep-737e4f38.js');
require('dayjs');
require('../_chunks/dep-18f56df7.js');
require('../_chunks/dep-db3b17d7.js');
require('../_chunks/dep-07098818.js');
require('../_chunks/dep-7ffe7abb.js');
require('../_chunks/dep-53bbe417.js');
require('../_chunks/dep-5bb0ceb3.js');
require('../_chunks/dep-7a979ab0.js');
require('../_chunks/dep-f8271f08.js');
require('../_chunks/dep-decd1ba5.js');
require('../_chunks/dep-3561ed02.js');
require('../_chunks/dep-77923495.js');
require('../_chunks/dep-5267fa9b.js');
require('../_chunks/dep-01c97e2a.js');
require('../_chunks/dep-3963da7e.js');
require('../_chunks/dep-d788c41a.js');
require('../_chunks/dep-a68b527a.js');
require('../_chunks/dep-5522bd43.js');
require('../_chunks/dep-ad2351bc.js');
require('../_chunks/dep-d6f2b851.js');
require('../_chunks/dep-40e0109f.js');
require('../_chunks/dep-86086537.js');
require('../_chunks/dep-1f99f0e5.js');
require('./TabNavItem.js');
require('../hooks/useRipple.js');
require('../_chunks/dep-91f34d3d.js');
require('../hooks/useAnimation.js');
require('../_chunks/dep-704d9321.js');
require('../_chunks/dep-54722473.js');
require('../hooks/useDomRefCallback.js');
require('../hooks/useGlobalIcon.js');
require('./TabBar.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useLatest.js');
require('../_chunks/dep-f31a7521.js');
require('../_chunks/dep-0a55a910.js');
require('../_chunks/dep-12bca1df.js');
require('../_chunks/dep-cf814f66.js');
require('../_chunks/dep-7dbe9cf7.js');
require('../_chunks/dep-bd900d58.js');
require('../_chunks/dep-e24d1659.js');
require('../_chunks/dep-df011d17.js');
require('../_chunks/dep-0c1e22ea.js');
require('../_chunks/dep-d5922382.js');
require('../_chunks/dep-7e859ab6.js');
require('../hooks/useResizeObserver.js');
require('../hooks/useLayoutEffect.js');
require('../_util/parseTNode.js');
require('../_chunks/dep-53ae9438.js');
require('../_chunks/dep-013699bc.js');
require('../_chunks/dep-4b5c6368.js');
require('../_chunks/dep-cd4fa758.js');
require('../_chunks/dep-556420c0.js');
require('../_chunks/dep-84fbcec5.js');
require('../_chunks/dep-d4f8f0c4.js');
require('../_chunks/dep-3ae87727.js');
require('../_chunks/dep-93a6e7a7.js');
require('./TabPanel.js');
require('./defaultProps.js');
require('../hooks/useDefaultProps.js');
require('../hooks/useDragSorter.js');
require('../hooks/useEventCallback.js');

var Tabs = tabs_Tabs["default"];

exports.Tabs = Tabs;
exports["default"] = Tabs;
//# sourceMappingURL=index.js.map
