/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tag_Tag = require('./Tag.js');
var tag_CheckTag = require('./CheckTag.js');
var tag_CheckTagGroup = require('./CheckTagGroup.js');
var _util_forwardRefWithStatics = require('../_util/forwardRefWithStatics.js');
require('../_chunks/dep-fe81c65a.js');
require('../_chunks/dep-bbe52a2d.js');
require('../_chunks/dep-2a791a26.js');
require('react');
require('classnames');
require('tdesign-icons-react');
require('tinycolor2');
require('../_util/noop.js');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-24195208.js');
require('../_chunks/dep-737e4f38.js');
require('dayjs');
require('../_chunks/dep-18f56df7.js');
require('../_chunks/dep-db3b17d7.js');
require('../_chunks/dep-07098818.js');
require('../_chunks/dep-7ffe7abb.js');
require('../_chunks/dep-53bbe417.js');
require('../_chunks/dep-5bb0ceb3.js');
require('../_chunks/dep-7a979ab0.js');
require('../_chunks/dep-f8271f08.js');
require('../_chunks/dep-decd1ba5.js');
require('../_chunks/dep-3561ed02.js');
require('../_chunks/dep-77923495.js');
require('../_chunks/dep-5267fa9b.js');
require('../_chunks/dep-01c97e2a.js');
require('../_chunks/dep-3963da7e.js');
require('../_chunks/dep-d788c41a.js');
require('../_chunks/dep-a68b527a.js');
require('../_chunks/dep-5522bd43.js');
require('../_chunks/dep-ad2351bc.js');
require('../_chunks/dep-d6f2b851.js');
require('../_chunks/dep-40e0109f.js');
require('../_chunks/dep-86086537.js');
require('../_chunks/dep-1f99f0e5.js');
require('../hooks/useGlobalIcon.js');
require('./defaultProps.js');
require('../hooks/useDefaultProps.js');
require('../_chunks/dep-3949d9f0.js');
require('../_chunks/dep-228d2001.js');
require('../_chunks/dep-ccc9685f.js');
require('../hooks/useControlled.js');
require('../_chunks/dep-42d7bed5.js');
require('../_chunks/dep-006f8a6d.js');
require('../_chunks/dep-d4f8f0c4.js');
require('../_chunks/dep-4b5c6368.js');
require('../_chunks/dep-7e859ab6.js');
require('hoist-non-react-statics');

var Tag = _util_forwardRefWithStatics["default"](tag_Tag.TagFunction, {
  CheckTag: tag_CheckTag["default"],
  CheckTagGroup: tag_CheckTagGroup["default"]
});
Tag.displayName = "Tag";
var CheckTag = tag_CheckTag["default"];
var CheckTagGroup = tag_CheckTagGroup["default"];

exports.CheckTag = CheckTag;
exports.CheckTagGroup = CheckTagGroup;
exports.Tag = Tag;
exports["default"] = Tag;
//# sourceMappingURL=index.js.map
