/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../../_chunks/dep-3949d9f0.js');
var React = require('react');
var locale_LocalReceiver = require('../../locale/LocalReceiver.js');
var hooks_useConfig = require('../../hooks/useConfig.js');
require('../../_chunks/dep-228d2001.js');
require('../../_chunks/dep-fe81c65a.js');
require('../../_chunks/dep-bbe52a2d.js');
require('../../config-provider/ConfigProvider.js');
require('../../config-provider/ConfigContext.js');
require('../../_chunks/dep-24195208.js');
require('../../_chunks/dep-737e4f38.js');
require('dayjs');
require('../../_chunks/dep-18f56df7.js');
require('../../_chunks/dep-db3b17d7.js');
require('../../_chunks/dep-07098818.js');
require('../../_chunks/dep-7ffe7abb.js');
require('../../_chunks/dep-53bbe417.js');
require('../../_chunks/dep-5bb0ceb3.js');
require('../../_chunks/dep-7a979ab0.js');
require('../../_chunks/dep-f8271f08.js');
require('../../_chunks/dep-decd1ba5.js');
require('../../_chunks/dep-3561ed02.js');
require('../../_chunks/dep-77923495.js');
require('../../_chunks/dep-5267fa9b.js');
require('../../_chunks/dep-01c97e2a.js');
require('../../_chunks/dep-3963da7e.js');
require('../../_chunks/dep-d788c41a.js');
require('../../_chunks/dep-a68b527a.js');
require('../../_chunks/dep-5522bd43.js');
require('../../_chunks/dep-ad2351bc.js');
require('../../_chunks/dep-d6f2b851.js');
require('../../_chunks/dep-40e0109f.js');
require('../../_chunks/dep-86086537.js');
require('../../_chunks/dep-1f99f0e5.js');
require('../../_chunks/dep-f0e94cb0.js');
require('../../_chunks/dep-cd4fa758.js');
require('../../_chunks/dep-cf814f66.js');
require('../../_chunks/dep-7dbe9cf7.js');
require('../../_chunks/dep-bd900d58.js');
require('../../_chunks/dep-e24d1659.js');
require('../../_chunks/dep-df011d17.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var useTreeSelectLocale = function useTreeSelectLocale(props) {
  var _props$empty, _props$loadingText, _props$placeholder;
  var _useConfig = hooks_useConfig["default"](),
    classPrefix = _useConfig.classPrefix;
  var _useLocaleReceiver = locale_LocalReceiver.useLocaleReceiver("treeSelect"),
    _useLocaleReceiver2 = slicedToArray._slicedToArray(_useLocaleReceiver, 2),
    local = _useLocaleReceiver2[0],
    t = _useLocaleReceiver2[1];
  var emptyText = t(local.empty);
  var placeholderText = t(local.placeholder);
  var loadingTextLabel = t(local.loadingText);
  return {
    empty: (_props$empty = props.empty) !== null && _props$empty !== void 0 ? _props$empty : /* @__PURE__ */React__default["default"].createElement("div", {
      className: "".concat(classPrefix, "-select__empty")
    }, emptyText),
    loadingItem: /* @__PURE__ */React__default["default"].createElement("p", {
      className: "".concat(classPrefix, "-select__loading-tips")
    }, (_props$loadingText = props.loadingText) !== null && _props$loadingText !== void 0 ? _props$loadingText : /* @__PURE__ */React__default["default"].createElement("div", {
      className: "".concat(classPrefix, "-select__empty")
    }, loadingTextLabel)),
    placeholder: (_props$placeholder = props.placeholder) !== null && _props$placeholder !== void 0 ? _props$placeholder : placeholderText
  };
};

exports.useTreeSelectLocale = useTreeSelectLocale;
//# sourceMappingURL=useTreeSelectLocale.js.map
