/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import { _ as _slicedToArray } from '../_chunks/dep-c4282af8.js';
import { useState } from 'react';
import { usePersistFn } from './usePersistFn.js';
import '../_chunks/dep-872e77c8.js';

var useSwitch = function useSwitch() {
  var initialState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
  var _useState = useState(initialState),
    _useState2 = _slicedToArray(_useState, 2),
    state = _useState2[0],
    setState = _useState2[1];
  return [state, {
    on: usePersistFn(function () {
      return setState(true);
    }),
    off: usePersistFn(function () {
      return setState(false);
    }),
    set: setState
  }];
};

export { useSwitch as default };
//# sourceMappingURL=useSwitch.js.map
