/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import Tabs$1 from './Tabs.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-c4282af8.js';
import '../_chunks/dep-872e77c8.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import 'react';
import 'classnames';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import './TabNav.js';
import 'tdesign-icons-react';
import 'lodash-es';
import '../_util/noop.js';
import './useTabClass.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-097b28c0.js';
import 'dayjs';
import '../_chunks/dep-59cb926b.js';
import './TabNavItem.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-f0b5ab03.js';
import '../hooks/useAnimation.js';
import '../_chunks/dep-c514bb1c.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useGlobalIcon.js';
import './TabBar.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/useResizeObserver.js';
import '../hooks/useLayoutEffect.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-ecbbcdbe.js';
import '../_chunks/dep-653e29e9.js';
import './TabPanel.js';
import './defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useDragSorter.js';
import '../hooks/useEventCallback.js';

var Tabs = Tabs$1;

export { Tabs, Tabs as default };
//# sourceMappingURL=index.js.map
