/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import useConfig from '../../hooks/useConfig.js';
import 'react';
import '../../config-provider/ConfigContext.js';
import '../../_chunks/dep-4570e07f.js';
import '../../_chunks/dep-d9ee0736.js';
import 'lodash-es';
import '../../_chunks/dep-2fbc3a66.js';
import '../../_chunks/dep-2afb2ca1.js';
import 'dayjs';

var useClassNames = function useClassNames() {
  var _useConfig = useConfig(),
    classPrefix = _useConfig.classPrefix;
  var baseClassName = "".concat(classPrefix, "-color-picker");
  return baseClassName;
};

export { useClassNames as default };
//# sourceMappingURL=useClassNames.js.map
