/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import { _ as _slicedToArray } from '../_chunks/dep-c4282af8.js';
import { useState, useCallback } from 'react';
import '../_chunks/dep-872e77c8.js';

function useDomRefCallback() {
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    refCurrent = _useState2[0],
    setRefCurrent = _useState2[1];
  useCallback(function (dom) {
    if (dom) setRefCurrent(dom);
  }, []);
  return [refCurrent, setRefCurrent];
}

export { useDomRefCallback as default };
//# sourceMappingURL=useDomRefCallback.js.map
