/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import useConfig from './useConfig.js';
import 'react';
import '../config-provider/ConfigContext.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import 'lodash-es';
import '../_chunks/dep-2fbc3a66.js';
import '../_chunks/dep-2afb2ca1.js';
import 'dayjs';

function useGlobalIcon(tdIcon) {
  var _useConfig = useConfig(),
    globalIcon = _useConfig.icon;
  var resultIcon = {};
  Object.keys(tdIcon).forEach(function (key) {
    resultIcon[key] = (globalIcon === null || globalIcon === void 0 ? void 0 : globalIcon[key]) || tdIcon[key];
  });
  return resultIcon;
}

export { useGlobalIcon as default };
//# sourceMappingURL=useGlobalIcon.js.map
