/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import { MessagePlugin as MessagePlugin$1 } from './Message.js';
import MessageComponent from './MessageComponent.js';
import '../_chunks/dep-c4282af8.js';
import '../_chunks/dep-872e77c8.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import '../_chunks/dep-d0df0249.js';
import 'react';
import 'classnames';
import '../_util/react-render.js';
import 'react-dom';
import '../_util/noop.js';
import './const.js';
import './config.js';
import './defaultProps.js';
import './useMessageClass.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../_chunks/dep-2fbc3a66.js';
import '../_chunks/dep-2afb2ca1.js';
import 'dayjs';
import '../config-provider/ConfigProvider.js';
import '../common/PluginContainer.js';
import './MessageClose.js';
import 'tdesign-icons-react';
import '../hooks/useGlobalIcon.js';
import './MessageIcon.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../_chunks/dep-c514bb1c.js';
import '../common/Portal.js';
import '../hooks/useLayoutEffect.js';
import '../loading/gradient.js';
import '../_chunks/dep-f0b5ab03.js';
import '../_chunks/dep-fe92fe97.js';
import '../_chunks/dep-759f5bcf.js';
import '../hooks/useDomRefCallback.js';
import '../loading/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../loading/plugin.js';
import '../hooks/usePersistFn.js';

var Message = MessageComponent;
var message = MessagePlugin$1;
var MessagePlugin = MessagePlugin$1;

export { Message, MessagePlugin, Message as default, message };
//# sourceMappingURL=index.js.map
