/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import TreeSelect$1 from './TreeSelect.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import '../_chunks/dep-c4282af8.js';
import '../_chunks/dep-872e77c8.js';
import 'react';
import 'lodash-es';
import 'classnames';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../_chunks/dep-2fbc3a66.js';
import '../_chunks/dep-2afb2ca1.js';
import 'dayjs';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import '../tree/index.js';
import '../tree/Tree.js';
import '../_chunks/dep-759f5bcf.js';
import 'react-transition-group';
import '../_chunks/dep-653e29e9.js';
import '../tree/TreeItem.js';
import '../_chunks/dep-f20b5e73.js';
import 'tdesign-icons-react';
import '../loading/index.js';
import '../loading/Loading.js';
import '../_chunks/dep-c514bb1c.js';
import '../common/Portal.js';
import 'react-dom';
import '../hooks/useLayoutEffect.js';
import '../loading/gradient.js';
import '../_chunks/dep-f0b5ab03.js';
import '../_chunks/dep-fe92fe97.js';
import '../hooks/useDomRefCallback.js';
import '../loading/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-d0df0249.js';
import '../common/PluginContainer.js';
import '../config-provider/ConfigProvider.js';
import '../hooks/useRipple.js';
import '../hooks/useAnimation.js';
import '../hooks/useGlobalIcon.js';
import '../checkbox/index.js';
import '../_chunks/dep-5a2a1359.js';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import '../common/Check.js';
import '../_util/helper.js';
import '../checkbox/defaultProps.js';
import '../tree/hooks/useTreeConfig.js';
import '../locale/LocalReceiver.js';
import '../tree/hooks/useDraggable.js';
import '../tree/hooks/TreeDraggableContext.js';
import '../_util/createHookContext.js';
import '../hooks/usePersistFn.js';
import '../_util/composeRefs.js';
import '../tree/hooks/useControllable.js';
import '../tree/hooks/useStore.js';
import '../_chunks/dep-150f208c.js';
import '../_chunks/dep-b165036d.js';
import 'mitt';
import '../_chunks/dep-acd02333.js';
import '../hooks/useUpdateLayoutEffect.js';
import '../hooks/useIsFirstRender.js';
import '../hooks/usePrevious.js';
import '../_util/parseTNode.js';
import '../tree/hooks/useTreeVirtualScroll.js';
import '../hooks/useVirtualScroll.js';
import '../hooks/useResizeObserver.js';
import '../hooks/useLatest.js';
import '../hooks/useEventCallback.js';
import '../select-input/SelectInput.js';
import '../popup/index.js';
import '../popup/Popup.js';
import '../popup/hooks/useTrigger.js';
import 'react-is';
import '../_util/ref.js';
import '../_util/isFragment.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../hooks/useAttach.js';
import '../hooks/usePopper.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../popup/PopupPlugin.js';
import '../select-input/useSingle.js';
import '../input/index.js';
import '../input/Input.js';
import '../input/InputGroup.js';
import '../input/defaultProps.js';
import '../input/useLengthLimit.js';
import '../select-input/useMultiple.js';
import '../tag-input/index.js';
import '../tag-input/TagInput.js';
import '../hooks/useDragSorter.js';
import '../tag-input/useTagScroll.js';
import '../tag-input/useTagList.js';
import '../tag/index.js';
import '../tag/Tag.js';
import 'tinycolor2';
import '../tag/defaultProps.js';
import '../tag/CheckTag.js';
import '../_chunks/dep-2c6f8d8e.js';
import '../tag/CheckTagGroup.js';
import '../tag-input/useHover.js';
import '../tag-input/defaultProps.js';
import '../select-input/useOverlayInnerStyle.js';
import '../select-input/defaultProps.js';
import '../hooks/useSwitch.js';
import './hooks/useTreeSelectUtils.js';
import './defaultProps.js';
import './SelectArrow.js';
import '../common/FakeArrow.js';
import './hooks/useTreeSelectPassthroughProps.js';
import './hooks/useTreeSelectLocale.js';

var TreeSelect = TreeSelect$1;

export { TreeSelect, TreeSelect as default };
//# sourceMappingURL=index.js.map
