/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import Text from './Text.js';
import { Title } from './Title.js';
import Paragraph from './Paragraph.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import '../_chunks/dep-f20b5e73.js';
import '../_chunks/dep-c4282af8.js';
import '../_chunks/dep-872e77c8.js';
import 'react';
import 'classnames';
import 'tdesign-icons-react';
import './ellipsis/Ellipsis.js';
import './ellipsis/Truncate.js';
import '../_chunks/dep-b165036d.js';
import 'lodash-es';
import 'react-is';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../_chunks/dep-2fbc3a66.js';
import '../_chunks/dep-2afb2ca1.js';
import 'dayjs';
import './ellipsis/useEllipsis.js';
import '../tooltip/index.js';
import '../tooltip/Tooltip.js';
import '../popup/index.js';
import '../popup/Popup.js';
import 'react-transition-group';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import '../hooks/useAnimation.js';
import '../common/Portal.js';
import 'react-dom';
import '../_chunks/dep-c514bb1c.js';
import '../hooks/useLayoutEffect.js';
import '../popup/hooks/useTrigger.js';
import '../_util/ref.js';
import '../_util/isFragment.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useAttach.js';
import '../hooks/usePopper.js';
import '../_chunks/dep-759f5bcf.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../popup/PopupPlugin.js';
import '../_chunks/dep-d0df0249.js';
import '../_util/react-render.js';
import '../common/PluginContainer.js';
import '../config-provider/ConfigProvider.js';
import '../tooltip/defaultProps.js';
import '../tooltip/TooltipLite.js';
import '../hooks/useSwitch.js';
import '../hooks/usePersistFn.js';
import '../locale/LocalReceiver.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-f0b5ab03.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../loading/gradient.js';
import '../_chunks/dep-fe92fe97.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-653e29e9.js';
import './defaultProps.js';
import '../_util/copyText.js';

var Typography = function Typography() {
  return null;
};
Typography.Text = Text;
Typography.Title = Title;
Typography.Paragraph = Paragraph;
Text.displayName = "Text";
Paragraph.displayName = "Paragraph";
Title.displayName = "Title";

export { Typography as default };
//# sourceMappingURL=Typography.js.map
