/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var dayjs = require('dayjs');
var utils = require('../../_chunks/dep-2a5b1f0c.js');
var isObject = require('../../_chunks/dep-3561ed02.js');
require('../../_chunks/dep-3949d9f0.js');
require('../../_chunks/dep-228d2001.js');
require('../../_chunks/dep-fe81c65a.js');
require('../../_chunks/dep-bbe52a2d.js');
require('../../_chunks/dep-737e4f38.js');
require('../../_chunks/dep-4347efab.js');
require('../../_chunks/dep-d5922382.js');
require('../../_chunks/dep-7e859ab6.js');
require('../../_chunks/dep-7ffe7abb.js');
require('../../_chunks/dep-53bbe417.js');
require('../../_chunks/dep-c2a15b32.js');
require('../../_chunks/dep-53ae9438.js');
require('../../_chunks/dep-54722473.js');
require('../../_chunks/dep-5bb0ceb3.js');
require('../../_chunks/dep-decd1ba5.js');
require('../../_chunks/dep-d4f8f0c4.js');
require('../../_chunks/dep-1f99f0e5.js');
require('../../_chunks/dep-d788c41a.js');
require('../../_chunks/dep-f8271f08.js');
require('../../_chunks/dep-5267fa9b.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var dayjs__default = /*#__PURE__*/_interopDefaultLegacy(dayjs);

function useDisableDate(props) {
  var _disableDate = props.disableDate,
    format = props.format,
    mode = props.mode,
    start = props.start,
    end = props.end;
  return {
    disableDate: function disableDate(value) {
      return !utils.isEnabledDate({
        disableDate: _disableDate,
        format: format,
        mode: mode,
        value: value
      });
    },
    minDate: isObject.isObject(_disableDate) && "before" in _disableDate ? new Date(dayjs__default["default"](_disableDate.before).startOf("day").format()) : start,
    maxDate: isObject.isObject(_disableDate) && "after" in _disableDate ? new Date(dayjs__default["default"](_disableDate.after).endOf("day").format()) : end
  };
}

exports["default"] = useDisableDate;
//# sourceMappingURL=useDisableDate.js.map
