/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import React from 'react';
import ColorSlider from './slider.js';
import 'classnames';
import '../../../_chunks/dep-ce4283d9.js';
import '../../../hooks/useDrag.js';
import '../../hooks/useStyles.js';
import '../../../_chunks/dep-c4282af8.js';
import '../../../_chunks/dep-872e77c8.js';

var HUESlider = function HUESlider(props) {
  var color = props.color,
    baseClassName = props.baseClassName,
    disabled = props.disabled,
    onChange = props.onChange;
  return /* @__PURE__ */React.createElement(ColorSlider, {
    disabled: disabled,
    baseClassName: baseClassName,
    className: "".concat(baseClassName, "__hue"),
    color: color,
    value: color.hue,
    type: "hue",
    onChange: onChange
  });
};
var HUESlider$1 = /*#__PURE__*/React.memo(HUESlider);

export { HUESlider$1 as default };
//# sourceMappingURL=hue.js.map
