/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import Drawer$1 from './Drawer.js';
import { DrawerPlugin as DrawerPlugin$1 } from './plugin.js';
import './style/css.js';
import './type.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import '../_chunks/dep-f20b5e73.js';
import '../_chunks/dep-c4282af8.js';
import '../_chunks/dep-872e77c8.js';
import 'react';
import 'classnames';
import 'lodash-es';
import 'react-transition-group';
import 'tdesign-icons-react';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-097b28c0.js';
import 'dayjs';
import '../_chunks/dep-59cb926b.js';
import '../config-provider/type.js';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useConfig.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-f0b5ab03.js';
import '../hooks/useAnimation.js';
import '../_chunks/dep-c514bb1c.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../common/Portal.js';
import 'react-dom';
import '../hooks/useLayoutEffect.js';
import '../loading/gradient.js';
import '../_chunks/dep-c003e88d.js';
import '../_chunks/dep-759f5bcf.js';
import '../loading/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-9482371f.js';
import '../common/PluginContainer.js';
import '../loading/style/css.js';
import '../loading/type.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-ecbbcdbe.js';
import '../_chunks/dep-653e29e9.js';
import '../button/style/css.js';
import '../button/type.js';
import '../hooks/useGlobalIcon.js';
import './defaultProps.js';
import './hooks/useDrag.js';
import './hooks/useLockStyle.js';
import '../_chunks/dep-88969255.js';
import '../_util/scroll.js';
import 'raf';
import '../_util/easing.js';
import '../hooks/useAttach.js';
import '../hooks/useSetState.js';

var Drawer = Drawer$1;
var drawer = DrawerPlugin$1;
var DrawerPlugin = DrawerPlugin$1;

export { Drawer, DrawerPlugin, Drawer as default, drawer };
//# sourceMappingURL=index.js.map
