/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import Popup$1 from './Popup.js';
import PopupPlugin$1 from './PopupPlugin.js';
import './style/css.js';
import './type.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import '../_chunks/dep-c4282af8.js';
import '../_chunks/dep-872e77c8.js';
import 'react';
import 'react-transition-group';
import 'lodash-es';
import 'classnames';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import '../hooks/useAnimation.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-097b28c0.js';
import 'dayjs';
import '../_chunks/dep-59cb926b.js';
import '../common/Portal.js';
import 'react-dom';
import '../_chunks/dep-c514bb1c.js';
import '../hooks/useLayoutEffect.js';
import './hooks/useTrigger.js';
import 'react-is';
import '../_util/ref.js';
import '../_util/isFragment.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import './utils/transition.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/useWindowSize.js';
import './defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useAttach.js';
import '../hooks/usePopper.js';
import '../_chunks/dep-759f5bcf.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../_chunks/dep-9482371f.js';
import '../_util/react-render.js';
import '../common/PluginContainer.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';

var Popup = Popup$1;
var PopupPlugin = PopupPlugin$1;

export { Popup, PopupPlugin, Popup as default };
//# sourceMappingURL=index.js.map
