/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import Dialog$1 from './Dialog.js';
import DialogCard$1 from './DialogCard.js';
import { DialogPlugin as DialogPlugin$1 } from './plugin.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import '../_chunks/dep-c4282af8.js';
import '../_chunks/dep-872e77c8.js';
import '../_chunks/dep-f20b5e73.js';
import 'react';
import 'react-transition-group';
import 'classnames';
import '../_chunks/dep-ecbbcdbe.js';
import '../_chunks/dep-653e29e9.js';
import 'lodash-es';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-097b28c0.js';
import 'dayjs';
import '../_chunks/dep-59cb926b.js';
import '../config-provider/type.js';
import '../common/Portal.js';
import 'react-dom';
import '../_chunks/dep-c514bb1c.js';
import '../hooks/useConfig.js';
import '../hooks/useLayoutEffect.js';
import '../hooks/useSetState.js';
import './defaultProps.js';
import './hooks/useDialogEsc.js';
import '../_chunks/dep-759f5bcf.js';
import './hooks/useLockStyle.js';
import '../_chunks/dep-88969255.js';
import '../_chunks/dep-c003e88d.js';
import './hooks/useDialogPosition.js';
import './hooks/useDialogDrag.js';
import './utils.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useAttach.js';
import 'tdesign-icons-react';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-f0b5ab03.js';
import '../hooks/useAnimation.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../loading/gradient.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-9482371f.js';
import '../common/PluginContainer.js';
import '../loading/style/index.js';
import '../loading/type.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../button/style/index.js';
import '../button/type.js';
import '../hooks/useGlobalIcon.js';

var Dialog = Dialog$1;
var DialogCard = DialogCard$1;
var dialog = DialogPlugin$1;
var DialogPlugin = DialogPlugin$1;

export { Dialog, DialogCard, DialogPlugin, Dialog as default, dialog };
//# sourceMappingURL=index.js.map
