/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import TagInput$1 from './TagInput.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import '../_chunks/dep-c4282af8.js';
import '../_chunks/dep-872e77c8.js';
import 'react';
import 'tdesign-icons-react';
import 'lodash-es';
import 'classnames';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-097b28c0.js';
import 'dayjs';
import '../_chunks/dep-59cb926b.js';
import '../hooks/useGlobalIcon.js';
import '../hooks/useDragSorter.js';
import '../hooks/useEventCallback.js';
import '../_util/noop.js';
import '../input/index.js';
import '../input/Input.js';
import '../_chunks/dep-f20b5e73.js';
import '../hooks/useLayoutEffect.js';
import '../_chunks/dep-c514bb1c.js';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import '../input/InputGroup.js';
import '../hooks/useControlled.js';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import '../input/defaultProps.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-ecbbcdbe.js';
import '../_chunks/dep-653e29e9.js';
import '../input/useLengthLimit.js';
import '../_chunks/dep-c003e88d.js';
import '../_chunks/dep-759f5bcf.js';
import '../hooks/useDefaultProps.js';
import '../input/style/index.js';
import '../input/type.js';
import './useTagScroll.js';
import './useTagList.js';
import '../tag/index.js';
import '../tag/Tag.js';
import 'tinycolor2';
import '../tag/defaultProps.js';
import '../tag/CheckTag.js';
import '../_chunks/dep-37c0833a.js';
import '../tag/CheckTagGroup.js';
import '../tag/style/index.js';
import '../tag/type.js';
import './useHover.js';
import './defaultProps.js';

var TagInput = TagInput$1;

export { TagInput, TagInput as default };
//# sourceMappingURL=index.js.map
