/**
 * tdesign v1.12.2
 * (c) 2025 tdesign
 * @license MIT
 */

import { TagFunction } from './Tag.js';
import CheckTag$1 from './CheckTag.js';
import CheckTagGroup$1 from './CheckTagGroup.js';
import forwardRefWithStatics from '../_util/forwardRefWithStatics.js';
import '../_chunks/dep-4570e07f.js';
import '../_chunks/dep-d9ee0736.js';
import '../_chunks/dep-f20b5e73.js';
import 'react';
import 'classnames';
import 'tdesign-icons-react';
import 'tinycolor2';
import '../_util/noop.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../_chunks/dep-2fbc3a66.js';
import '../_chunks/dep-2afb2ca1.js';
import 'dayjs';
import '../hooks/useGlobalIcon.js';
import './defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../_chunks/dep-c4282af8.js';
import '../_chunks/dep-872e77c8.js';
import '../_chunks/dep-2c6f8d8e.js';
import '../hooks/useControlled.js';
import 'hoist-non-react-statics';

var Tag = forwardRefWithStatics(TagFunction, {
  CheckTag: CheckTag$1,
  CheckTagGroup: CheckTagGroup$1
});
Tag.displayName = "Tag";
var CheckTag = CheckTag$1;
var CheckTagGroup = CheckTagGroup$1;

export { CheckTag, CheckTagGroup, Tag, Tag as default };
//# sourceMappingURL=index.js.map
